com.sun.grid.jgdi.configuration

## Interface ClusterQueue

- All Superinterfaces:
    GEObject
  All Known Implementing Classes:
    ClusterQueueImpl

      public interface ClusterQueue
      extends GEObject

  Java representation of the cull object CQ_Type defined in sge_all_listsL.template

  Warning: The ClusterQueue class will not be compatible with future Sun™ Grid Engine releases.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addAcl(java.lang.String hostname, UserSet acl)` Add `acl` attribute to `hostname`.
    `void` | `addCkpt(java.lang.String hostname, java.lang.String checkpoint)` Add `checkpoint` attribute to `hostname`.
    `void` | `addConsumableConfig(java.lang.String hostname, ComplexEntry consumable)` Add `consumable` attribute to `hostname`.
    `void` | `addDefaultAcl(UserSet acl)` Add `acl` attribute to the default `hostname` (@/).
    `void` | `addDefaultCkpt(java.lang.String checkpoint)` Add `checkpoint` attribute to the default `hostname` (@/).
    `void` | `addDefaultConsumableConfig(ComplexEntry consumable)` Add `consumable` attribute to the default `hostname` (@/).
    `void` | `addDefaultLoadThresholds(ComplexEntry loadThreshold)` Add `loadThreshold` attribute to the default `hostname` (@/).
    `void` | `addDefaultOwner(UserSet owner)` Add `owner` attribute to the default `hostname` (@/).
    `void` | `addDefaultPe(java.lang.String pe)` Add `pe` attribute to the default `hostname` (@/).
    `void` | `addDefaultProjects(Project project)` Add `project` attribute to the default `hostname` (@/).
    `void` | `addDefaultSubordinate(Subordinate subordinate)` Add `subordinate` attribute to the default `hostname` (@/).
    `void` | `addDefaultSuspendThresholds(ComplexEntry suspendThreshold)` Add `suspendThreshold` attribute to the default `hostname` (@/).
    `void` | `addDefaultXacl(UserSet acl)` Add `acl` attribute to the default `hostname` (@/).
    `void` | `addDefaultXprojects(Project project)` Add `project` attribute to the default `hostname` (@/).
    `void` | `addEmptyAcl(java.lang.String hostname)` Initialize `acl` attribute for a `hostname` with an empty list.
    `void` | `addEmptyCkpt(java.lang.String hostname)` Initialize `checkpoint` attribute for a `hostname` with an empty list.
    `void` | `addEmptyConsumableConfig(java.lang.String hostname)` Initialize `consumable` attribute for a `hostname` with an empty list.
    `void` | `addEmptyLoadThresholds(java.lang.String hostname)` Initialize `loadThreshold` attribute for a `hostname` with an empty list.
    `void` | `addEmptyOwner(java.lang.String hostname)` Initialize `owner` attribute for a `hostname` with an empty list.
    `void` | `addEmptyPe(java.lang.String hostname)` Initialize `pe` attribute for a `hostname` with an empty list.
    `void` | `addEmptyProjects(java.lang.String hostname)` Initialize `project` attribute for a `hostname` with an empty list.
    `void` | `addEmptySubordinate(java.lang.String hostname)` Initialize `subordinate` attribute for a `hostname` with an empty list.
    `void` | `addEmptySuspendThresholds(java.lang.String hostname)` Initialize `suspendThreshold` attribute for a `hostname` with an empty list.
    `void` | `addEmptyXacl(java.lang.String hostname)` Initialize `acl` attribute for a `hostname` with an empty list.
    `void` | `addEmptyXprojects(java.lang.String hostname)` Initialize `project` attribute for a `hostname` with an empty list.
    `void` | `addHostlist(java.lang.String ahostlist)` Add a java.lang.String attribute.
    `void` | `addLoadThresholds(java.lang.String hostname, ComplexEntry loadThreshold)` Add `loadThreshold` attribute to `hostname`.
    `void` | `addOwner(java.lang.String hostname, UserSet owner)` Add `owner` attribute to `hostname`.
    `void` | `addPe(java.lang.String hostname, java.lang.String pe)` Add `pe` attribute to `hostname`.
    `void` | `addProjects(java.lang.String hostname, Project project)` Add `project` attribute to `hostname`.
    `void` | `addSubordinate(java.lang.String hostname, Subordinate subordinate)` Add `subordinate` attribute to `hostname`.
    `void` | `addSuspendThresholds(java.lang.String hostname, ComplexEntry suspendThreshold)` Add `suspendThreshold` attribute to `hostname`.
    `void` | `addXacl(java.lang.String hostname, UserSet acl)` Add `acl` attribute to `hostname`.
    `void` | `addXprojects(java.lang.String hostname, Project project)` Add `project` attribute to `hostname`.
    `java.lang.String` | `dump()`
    `UserSet` | `getAcl(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getAclCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getAclKeys()` Get a unmodifiable set of stored acl attribute keys.
    `java.util.List<java.lang.String>` | `getAclList(java.lang.String hostname)` Get an unmodifiable list of acl attributes for `hostname`.
    `java.lang.String` | `getCalendar(java.lang.String hostname)` Get the calendar attribute for `hostname`.
    `int` | `getCalendarCount()` Get the number of hostnames which have the attribute calendar set.
    `java.util.Set<java.lang.String>` | `getCalendarKeys()` Get the set of `hostname`s which have the attribute calendar set.
    `java.lang.String` | `getCkpt(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getCkptCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getCkptKeys()` Get a unmodifiable set of stored ckpt attribute keys.
    `java.util.List<java.lang.String>` | `getCkptList(java.lang.String hostname)` Get an unmodifiable list of ckpt attributes for `hostname`.
    `ComplexEntry` | `getConsumableConfig(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getConsumableConfigCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getConsumableConfigKeys()` Get a unmodifiable set of stored consumableConfig attribute keys.
    `java.util.List<java.lang.String>` | `getConsumableConfigList(java.lang.String hostname)` Get an unmodifiable list of consumableConfig attributes for `hostname`.
    `UserSet` | `getDefaultAcl(int index)` Get the default value of the attribute acl.
    `int` | `getDefaultAclCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultCalendar()` Get the default value of the attribute calendar.
    `java.lang.String` | `getDefaultCkpt(int index)` Get the default value of the attribute ckpt.
    `int` | `getDefaultCkptCount()` Get the number of values for the default `hostname` (@/).
    `ComplexEntry` | `getDefaultConsumableConfig(int index)` Get the default value of the attribute consumableConfig.
    `int` | `getDefaultConsumableConfigCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultEpilog()` Get the default value of the attribute epilog.
    `java.lang.String` | `getDefaultHCore()` Get the default value of the attribute hCore.
    `java.lang.String` | `getDefaultHCpu()` Get the default value of the attribute hCpu.
    `java.lang.String` | `getDefaultHData()` Get the default value of the attribute hData.
    `java.lang.String` | `getDefaultHFsize()` Get the default value of the attribute hFsize.
    `java.lang.String` | `getDefaultHRss()` Get the default value of the attribute hRss.
    `java.lang.String` | `getDefaultHRt()` Get the default value of the attribute hRt.
    `java.lang.String` | `getDefaultHStack()` Get the default value of the attribute hStack.
    `java.lang.String` | `getDefaultHVmem()` Get the default value of the attribute hVmem.
    `java.lang.String` | `getDefaultInitialState()` Get the default value of the attribute initialState.
    `int` | `getDefaultJobSlots()` Get the default value of the attribute jobSlots.
    `ComplexEntry` | `getDefaultLoadThresholds(int index)` Get the default value of the attribute loadThresholds.
    `int` | `getDefaultLoadThresholdsCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultMinCpuInterval()` Get the default value of the attribute minCpuInterval.
    `java.lang.String` | `getDefaultNotify()` Get the default value of the attribute notify.
    `int` | `getDefaultNsuspend()` Get the default value of the attribute nsuspend.
    `UserSet` | `getDefaultOwner(int index)` Get the default value of the attribute owner.
    `int` | `getDefaultOwnerCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultPe(int index)` Get the default value of the attribute pe.
    `int` | `getDefaultPeCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultPriority()` Get the default value of the attribute priority.
    `java.lang.String` | `getDefaultProcessors()` Get the default value of the attribute processors.
    `Project` | `getDefaultProjects(int index)` Get the default value of the attribute projects.
    `int` | `getDefaultProjectsCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultProlog()` Get the default value of the attribute prolog.
    `int` | `getDefaultQtype()` Get the default value of the attribute qtype.
    `boolean` | `getDefaultRerun()` Get the default value of the attribute rerun.
    `java.lang.String` | `getDefaultResumeMethod()` Get the default value of the attribute resumeMethod.
    `java.lang.String` | `getDefaultSCore()` Get the default value of the attribute sCore.
    `java.lang.String` | `getDefaultSCpu()` Get the default value of the attribute sCpu.
    `java.lang.String` | `getDefaultSData()` Get the default value of the attribute sData.
    `int` | `getDefaultSeqNo()` Get the default value of the attribute seqNo.
    `java.lang.String` | `getDefaultSFsize()` Get the default value of the attribute sFsize.
    `java.lang.String` | `getDefaultShell()` Get the default value of the attribute shell.
    `java.lang.String` | `getDefaultShellStartMode()` Get the default value of the attribute shellStartMode.
    `java.lang.String` | `getDefaultSRss()` Get the default value of the attribute sRss.
    `java.lang.String` | `getDefaultSRt()` Get the default value of the attribute sRt.
    `java.lang.String` | `getDefaultSStack()` Get the default value of the attribute sStack.
    `java.lang.String` | `getDefaultStarterMethod()` Get the default value of the attribute starterMethod.
    `Subordinate` | `getDefaultSubordinate(int index)` Get the default value of the attribute subordinate.
    `int` | `getDefaultSubordinateCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultSuspendInterval()` Get the default value of the attribute suspendInterval.
    `java.lang.String` | `getDefaultSuspendMethod()` Get the default value of the attribute suspendMethod.
    `ComplexEntry` | `getDefaultSuspendThresholds(int index)` Get the default value of the attribute suspendThresholds.
    `int` | `getDefaultSuspendThresholdsCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getDefaultSVmem()` Get the default value of the attribute sVmem.
    `java.lang.String` | `getDefaultTerminateMethod()` Get the default value of the attribute terminateMethod.
    `java.lang.String` | `getDefaultTmpdir()` Get the default value of the attribute tmpdir.
    `UserSet` | `getDefaultXacl(int index)` Get the default value of the attribute xacl.
    `int` | `getDefaultXaclCount()` Get the number of values for the default `hostname` (@/).
    `Project` | `getDefaultXprojects(int index)` Get the default value of the attribute xprojects.
    `int` | `getDefaultXprojectsCount()` Get the number of values for the default `hostname` (@/).
    `java.lang.String` | `getEpilog(java.lang.String hostname)` Get the epilog attribute for `hostname`.
    `int` | `getEpilogCount()` Get the number of hostnames which have the attribute epilog set.
    `java.util.Set<java.lang.String>` | `getEpilogKeys()` Get the set of `hostname`s which have the attribute epilog set.
    `java.lang.String` | `getHCore(java.lang.String hostname)` Get the hCore attribute for `hostname`.
    `int` | `getHCoreCount()` Get the number of hostnames which have the attribute hCore set.
    `java.util.Set<java.lang.String>` | `getHCoreKeys()` Get the set of `hostname`s which have the attribute hCore set.
    `java.lang.String` | `getHCpu(java.lang.String hostname)` Get the hCpu attribute for `hostname`.
    `int` | `getHCpuCount()` Get the number of hostnames which have the attribute hCpu set.
    `java.util.Set<java.lang.String>` | `getHCpuKeys()` Get the set of `hostname`s which have the attribute hCpu set.
    `java.lang.String` | `getHData(java.lang.String hostname)` Get the hData attribute for `hostname`.
    `int` | `getHDataCount()` Get the number of hostnames which have the attribute hData set.
    `java.util.Set<java.lang.String>` | `getHDataKeys()` Get the set of `hostname`s which have the attribute hData set.
    `java.lang.String` | `getHFsize(java.lang.String hostname)` Get the hFsize attribute for `hostname`.
    `int` | `getHFsizeCount()` Get the number of hostnames which have the attribute hFsize set.
    `java.util.Set<java.lang.String>` | `getHFsizeKeys()` Get the set of `hostname`s which have the attribute hFsize set.
    `java.lang.String` | `getHostlist(int index)` Get a java.lang.String attribute at an index.
    `int` | `getHostlistCount()` Get the number of java.lang.String attributes.
    `java.util.List<java.lang.String>` | `getHostlistList()` Get a unmodifiable list of all java.lang.String attributes.
    `java.lang.String` | `getHRss(java.lang.String hostname)` Get the hRss attribute for `hostname`.
    `int` | `getHRssCount()` Get the number of hostnames which have the attribute hRss set.
    `java.util.Set<java.lang.String>` | `getHRssKeys()` Get the set of `hostname`s which have the attribute hRss set.
    `java.lang.String` | `getHRt(java.lang.String hostname)` Get the hRt attribute for `hostname`.
    `int` | `getHRtCount()` Get the number of hostnames which have the attribute hRt set.
    `java.util.Set<java.lang.String>` | `getHRtKeys()` Get the set of `hostname`s which have the attribute hRt set.
    `java.lang.String` | `getHStack(java.lang.String hostname)` Get the hStack attribute for `hostname`.
    `int` | `getHStackCount()` Get the number of hostnames which have the attribute hStack set.
    `java.util.Set<java.lang.String>` | `getHStackKeys()` Get the set of `hostname`s which have the attribute hStack set.
    `java.lang.String` | `getHVmem(java.lang.String hostname)` Get the hVmem attribute for `hostname`.
    `int` | `getHVmemCount()` Get the number of hostnames which have the attribute hVmem set.
    `java.util.Set<java.lang.String>` | `getHVmemKeys()` Get the set of `hostname`s which have the attribute hVmem set.
    `java.lang.String` | `getInitialState(java.lang.String hostname)` Get the initialState attribute for `hostname`.
    `int` | `getInitialStateCount()` Get the number of hostnames which have the attribute initialState set.
    `java.util.Set<java.lang.String>` | `getInitialStateKeys()` Get the set of `hostname`s which have the attribute initialState set.
    `int` | `getJobSlots(java.lang.String hostname)` Get the jobSlots attribute for `hostname`.
    `int` | `getJobSlotsCount()` Get the number of hostnames which have the attribute jobSlots set.
    `java.util.Set<java.lang.String>` | `getJobSlotsKeys()` Get the set of `hostname`s which have the attribute jobSlots set.
    `ComplexEntry` | `getLoadThresholds(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getLoadThresholdsCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getLoadThresholdsKeys()` Get a unmodifiable set of stored loadThresholds attribute keys.
    `java.util.List<java.lang.String>` | `getLoadThresholdsList(java.lang.String hostname)` Get an unmodifiable list of loadThresholds attributes for `hostname`.
    `java.lang.String` | `getMinCpuInterval(java.lang.String hostname)` Get the minCpuInterval attribute for `hostname`.
    `int` | `getMinCpuIntervalCount()` Get the number of hostnames which have the attribute minCpuInterval set.
    `java.util.Set<java.lang.String>` | `getMinCpuIntervalKeys()` Get the set of `hostname`s which have the attribute minCpuInterval set.
    `java.lang.String` | `getName()` Get the value of the name attribute.
    `java.lang.String` | `getNotify(java.lang.String hostname)` Get the notify attribute for `hostname`.
    `int` | `getNotifyCount()` Get the number of hostnames which have the attribute notify set.
    `java.util.Set<java.lang.String>` | `getNotifyKeys()` Get the set of `hostname`s which have the attribute notify set.
    `int` | `getNsuspend(java.lang.String hostname)` Get the nsuspend attribute for `hostname`.
    `int` | `getNsuspendCount()` Get the number of hostnames which have the attribute nsuspend set.
    `java.util.Set<java.lang.String>` | `getNsuspendKeys()` Get the set of `hostname`s which have the attribute nsuspend set.
    `UserSet` | `getOwner(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getOwnerCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getOwnerKeys()` Get a unmodifiable set of stored owner attribute keys.
    `java.util.List<java.lang.String>` | `getOwnerList(java.lang.String hostname)` Get an unmodifiable list of owner attributes for `hostname`.
    `java.lang.String` | `getPe(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getPeCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getPeKeys()` Get a unmodifiable set of stored pe attribute keys.
    `java.util.List<java.lang.String>` | `getPeList(java.lang.String hostname)` Get an unmodifiable list of pe attributes for `hostname`.
    `java.lang.String` | `getPriority(java.lang.String hostname)` Get the priority attribute for `hostname`.
    `int` | `getPriorityCount()` Get the number of hostnames which have the attribute priority set.
    `java.util.Set<java.lang.String>` | `getPriorityKeys()` Get the set of `hostname`s which have the attribute priority set.
    `java.lang.String` | `getProcessors(java.lang.String hostname)` Get the processors attribute for `hostname`.
    `int` | `getProcessorsCount()` Get the number of hostnames which have the attribute processors set.
    `java.util.Set<java.lang.String>` | `getProcessorsKeys()` Get the set of `hostname`s which have the attribute processors set.
    `Project` | `getProjects(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getProjectsCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getProjectsKeys()` Get a unmodifiable set of stored projects attribute keys.
    `java.util.List<java.lang.String>` | `getProjectsList(java.lang.String hostname)` Get an unmodifiable list of projects attributes for `hostname`.
    `java.lang.String` | `getProlog(java.lang.String hostname)` Get the prolog attribute for `hostname`.
    `int` | `getPrologCount()` Get the number of hostnames which have the attribute prolog set.
    `java.util.Set<java.lang.String>` | `getPrologKeys()` Get the set of `hostname`s which have the attribute prolog set.
    `QueueInstance` | `getQinstances(int index)` Get a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
    `int` | `getQinstancesCount()` Get the number of com.sun.grid.jgdi.configuration.QueueInstance attributes.
    `java.util.List<QueueInstance>` | `getQinstancesList()` Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstance attributes.
    `int` | `getQtype(java.lang.String hostname)` Get the qtype attribute for `hostname`.
    `int` | `getQtypeCount()` Get the number of hostnames which have the attribute qtype set.
    `java.util.Set<java.lang.String>` | `getQtypeKeys()` Get the set of `hostname`s which have the attribute qtype set.
    `boolean` | `getRerun(java.lang.String hostname)` Get the rerun attribute for `hostname`.
    `int` | `getRerunCount()` Get the number of hostnames which have the attribute rerun set.
    `java.util.Set<java.lang.String>` | `getRerunKeys()` Get the set of `hostname`s which have the attribute rerun set.
    `java.lang.String` | `getResumeMethod(java.lang.String hostname)` Get the resumeMethod attribute for `hostname`.
    `int` | `getResumeMethodCount()` Get the number of hostnames which have the attribute resumeMethod set.
    `java.util.Set<java.lang.String>` | `getResumeMethodKeys()` Get the set of `hostname`s which have the attribute resumeMethod set.
    `java.lang.String` | `getSCore(java.lang.String hostname)` Get the sCore attribute for `hostname`.
    `int` | `getSCoreCount()` Get the number of hostnames which have the attribute sCore set.
    `java.util.Set<java.lang.String>` | `getSCoreKeys()` Get the set of `hostname`s which have the attribute sCore set.
    `java.lang.String` | `getSCpu(java.lang.String hostname)` Get the sCpu attribute for `hostname`.
    `int` | `getSCpuCount()` Get the number of hostnames which have the attribute sCpu set.
    `java.util.Set<java.lang.String>` | `getSCpuKeys()` Get the set of `hostname`s which have the attribute sCpu set.
    `java.lang.String` | `getSData(java.lang.String hostname)` Get the sData attribute for `hostname`.
    `int` | `getSDataCount()` Get the number of hostnames which have the attribute sData set.
    `java.util.Set<java.lang.String>` | `getSDataKeys()` Get the set of `hostname`s which have the attribute sData set.
    `int` | `getSeqNo(java.lang.String hostname)` Get the seqNo attribute for `hostname`.
    `int` | `getSeqNoCount()` Get the number of hostnames which have the attribute seqNo set.
    `java.util.Set<java.lang.String>` | `getSeqNoKeys()` Get the set of `hostname`s which have the attribute seqNo set.
    `java.lang.String` | `getSFsize(java.lang.String hostname)` Get the sFsize attribute for `hostname`.
    `int` | `getSFsizeCount()` Get the number of hostnames which have the attribute sFsize set.
    `java.util.Set<java.lang.String>` | `getSFsizeKeys()` Get the set of `hostname`s which have the attribute sFsize set.
    `java.lang.String` | `getShell(java.lang.String hostname)` Get the shell attribute for `hostname`.
    `int` | `getShellCount()` Get the number of hostnames which have the attribute shell set.
    `java.util.Set<java.lang.String>` | `getShellKeys()` Get the set of `hostname`s which have the attribute shell set.
    `java.lang.String` | `getShellStartMode(java.lang.String hostname)` Get the shellStartMode attribute for `hostname`.
    `int` | `getShellStartModeCount()` Get the number of hostnames which have the attribute shellStartMode set.
    `java.util.Set<java.lang.String>` | `getShellStartModeKeys()` Get the set of `hostname`s which have the attribute shellStartMode set.
    `java.lang.String` | `getSRss(java.lang.String hostname)` Get the sRss attribute for `hostname`.
    `int` | `getSRssCount()` Get the number of hostnames which have the attribute sRss set.
    `java.util.Set<java.lang.String>` | `getSRssKeys()` Get the set of `hostname`s which have the attribute sRss set.
    `java.lang.String` | `getSRt(java.lang.String hostname)` Get the sRt attribute for `hostname`.
    `int` | `getSRtCount()` Get the number of hostnames which have the attribute sRt set.
    `java.util.Set<java.lang.String>` | `getSRtKeys()` Get the set of `hostname`s which have the attribute sRt set.
    `java.lang.String` | `getSStack(java.lang.String hostname)` Get the sStack attribute for `hostname`.
    `int` | `getSStackCount()` Get the number of hostnames which have the attribute sStack set.
    `java.util.Set<java.lang.String>` | `getSStackKeys()` Get the set of `hostname`s which have the attribute sStack set.
    `java.lang.String` | `getStarterMethod(java.lang.String hostname)` Get the starterMethod attribute for `hostname`.
    `int` | `getStarterMethodCount()` Get the number of hostnames which have the attribute starterMethod set.
    `java.util.Set<java.lang.String>` | `getStarterMethodKeys()` Get the set of `hostname`s which have the attribute starterMethod set.
    `Subordinate` | `getSubordinate(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getSubordinateCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getSubordinateKeys()` Get a unmodifiable set of stored subordinate attribute keys.
    `java.util.List<java.lang.String>` | `getSubordinateList(java.lang.String hostname)` Get an unmodifiable list of subordinate attributes for `hostname`.
    `java.lang.String` | `getSuspendInterval(java.lang.String hostname)` Get the suspendInterval attribute for `hostname`.
    `int` | `getSuspendIntervalCount()` Get the number of hostnames which have the attribute suspendInterval set.
    `java.util.Set<java.lang.String>` | `getSuspendIntervalKeys()` Get the set of `hostname`s which have the attribute suspendInterval set.
    `java.lang.String` | `getSuspendMethod(java.lang.String hostname)` Get the suspendMethod attribute for `hostname`.
    `int` | `getSuspendMethodCount()` Get the number of hostnames which have the attribute suspendMethod set.
    `java.util.Set<java.lang.String>` | `getSuspendMethodKeys()` Get the set of `hostname`s which have the attribute suspendMethod set.
    `ComplexEntry` | `getSuspendThresholds(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getSuspendThresholdsCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getSuspendThresholdsKeys()` Get a unmodifiable set of stored suspendThresholds attribute keys.
    `java.util.List<java.lang.String>` | `getSuspendThresholdsList(java.lang.String hostname)` Get an unmodifiable list of suspendThresholds attributes for `hostname`.
    `java.lang.String` | `getSVmem(java.lang.String hostname)` Get the sVmem attribute for `hostname`.
    `int` | `getSVmemCount()` Get the number of hostnames which have the attribute sVmem set.
    `java.util.Set<java.lang.String>` | `getSVmemKeys()` Get the set of `hostname`s which have the attribute sVmem set.
    `int` | `getTag()` Get the value of the tag attribute.
    `java.lang.String` | `getTerminateMethod(java.lang.String hostname)` Get the terminateMethod attribute for `hostname`.
    `int` | `getTerminateMethodCount()` Get the number of hostnames which have the attribute terminateMethod set.
    `java.util.Set<java.lang.String>` | `getTerminateMethodKeys()` Get the set of `hostname`s which have the attribute terminateMethod set.
    `java.lang.String` | `getTmpdir(java.lang.String hostname)` Get the tmpdir attribute for `hostname`.
    `int` | `getTmpdirCount()` Get the number of hostnames which have the attribute tmpdir set.
    `java.util.Set<java.lang.String>` | `getTmpdirKeys()` Get the set of `hostname`s which have the attribute tmpdir set.
    `UserSet` | `getXacl(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getXaclCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getXaclKeys()` Get a unmodifiable set of stored xacl attribute keys.
    `java.util.List<java.lang.String>` | `getXaclList(java.lang.String hostname)` Get an unmodifiable list of xacl attributes for `hostname`.
    `Project` | `getXprojects(java.lang.String hostname, int index)` Get the value of `hostname` at `index`.
    `int` | `getXprojectsCount(java.lang.String hostname)` Get the number of values for `hostname`
    `java.util.Set<java.lang.String>` | `getXprojectsKeys()` Get a unmodifiable set of stored xprojects attribute keys.
    `java.util.List<java.lang.String>` | `getXprojectsList(java.lang.String hostname)` Get an unmodifiable list of xprojects attributes for `hostname`.
    `boolean` | `isSetAcl()` Determine if any acl attribute is set
    `boolean` | `isSetCalendar()` Determine if any calendar attribute is set
    `boolean` | `isSetCalendar(java.lang.String hostname)` Determine if any calendar attribute is for `hostname` is set
    `boolean` | `isSetCkpt()` Determine if any ckpt attribute is set
    `boolean` | `isSetConsumableConfig()` Determine if any consumableConfig attribute is set
    `boolean` | `isSetEpilog()` Determine if any epilog attribute is set
    `boolean` | `isSetEpilog(java.lang.String hostname)` Determine if any epilog attribute is for `hostname` is set
    `boolean` | `isSetHCore()` Determine if any hCore attribute is set
    `boolean` | `isSetHCore(java.lang.String hostname)` Determine if any hCore attribute is for `hostname` is set
    `boolean` | `isSetHCpu()` Determine if any hCpu attribute is set
    `boolean` | `isSetHCpu(java.lang.String hostname)` Determine if any hCpu attribute is for `hostname` is set
    `boolean` | `isSetHData()` Determine if any hData attribute is set
    `boolean` | `isSetHData(java.lang.String hostname)` Determine if any hData attribute is for `hostname` is set
    `boolean` | `isSetHFsize()` Determine if any hFsize attribute is set
    `boolean` | `isSetHFsize(java.lang.String hostname)` Determine if any hFsize attribute is for `hostname` is set
    `boolean` | `isSetHostlist()` Determine if any hostlist attribute is set
    `boolean` | `isSetHRss()` Determine if any hRss attribute is set
    `boolean` | `isSetHRss(java.lang.String hostname)` Determine if any hRss attribute is for `hostname` is set
    `boolean` | `isSetHRt()` Determine if any hRt attribute is set
    `boolean` | `isSetHRt(java.lang.String hostname)` Determine if any hRt attribute is for `hostname` is set
    `boolean` | `isSetHStack()` Determine if any hStack attribute is set
    `boolean` | `isSetHStack(java.lang.String hostname)` Determine if any hStack attribute is for `hostname` is set
    `boolean` | `isSetHVmem()` Determine if any hVmem attribute is set
    `boolean` | `isSetHVmem(java.lang.String hostname)` Determine if any hVmem attribute is for `hostname` is set
    `boolean` | `isSetInitialState()` Determine if any initialState attribute is set
    `boolean` | `isSetInitialState(java.lang.String hostname)` Determine if any initialState attribute is for `hostname` is set
    `boolean` | `isSetJobSlots()` Determine if any jobSlots attribute is set
    `boolean` | `isSetJobSlots(java.lang.String hostname)` Determine if any jobSlots attribute is for `hostname` is set
    `boolean` | `isSetLoadThresholds()` Determine if any loadThresholds attribute is set
    `boolean` | `isSetMinCpuInterval()` Determine if any minCpuInterval attribute is set
    `boolean` | `isSetMinCpuInterval(java.lang.String hostname)` Determine if any minCpuInterval attribute is for `hostname` is set
    `boolean` | `isSetName()` Determine if any name attribute is set
    `boolean` | `isSetNotify()` Determine if any notify attribute is set
    `boolean` | `isSetNotify(java.lang.String hostname)` Determine if any notify attribute is for `hostname` is set
    `boolean` | `isSetNsuspend()` Determine if any nsuspend attribute is set
    `boolean` | `isSetNsuspend(java.lang.String hostname)` Determine if any nsuspend attribute is for `hostname` is set
    `boolean` | `isSetOwner()` Determine if any owner attribute is set
    `boolean` | `isSetPe()` Determine if any pe attribute is set
    `boolean` | `isSetPriority()` Determine if any priority attribute is set
    `boolean` | `isSetPriority(java.lang.String hostname)` Determine if any priority attribute is for `hostname` is set
    `boolean` | `isSetProcessors()` Determine if any processors attribute is set
    `boolean` | `isSetProcessors(java.lang.String hostname)` Determine if any processors attribute is for `hostname` is set
    `boolean` | `isSetProjects()` Determine if any projects attribute is set
    `boolean` | `isSetProlog()` Determine if any prolog attribute is set
    `boolean` | `isSetProlog(java.lang.String hostname)` Determine if any prolog attribute is for `hostname` is set
    `boolean` | `isSetQinstances()` Determine if any qinstances attribute is set
    `boolean` | `isSetQtype()` Determine if any qtype attribute is set
    `boolean` | `isSetQtype(java.lang.String hostname)` Determine if any qtype attribute is for `hostname` is set
    `boolean` | `isSetRerun()` Determine if any rerun attribute is set
    `boolean` | `isSetRerun(java.lang.String hostname)` Determine if any rerun attribute is for `hostname` is set
    `boolean` | `isSetResumeMethod()` Determine if any resumeMethod attribute is set
    `boolean` | `isSetResumeMethod(java.lang.String hostname)` Determine if any resumeMethod attribute is for `hostname` is set
    `boolean` | `isSetSCore()` Determine if any sCore attribute is set
    `boolean` | `isSetSCore(java.lang.String hostname)` Determine if any sCore attribute is for `hostname` is set
    `boolean` | `isSetSCpu()` Determine if any sCpu attribute is set
    `boolean` | `isSetSCpu(java.lang.String hostname)` Determine if any sCpu attribute is for `hostname` is set
    `boolean` | `isSetSData()` Determine if any sData attribute is set
    `boolean` | `isSetSData(java.lang.String hostname)` Determine if any sData attribute is for `hostname` is set
    `boolean` | `isSetSeqNo()` Determine if any seqNo attribute is set
    `boolean` | `isSetSeqNo(java.lang.String hostname)` Determine if any seqNo attribute is for `hostname` is set
    `boolean` | `isSetSFsize()` Determine if any sFsize attribute is set
    `boolean` | `isSetSFsize(java.lang.String hostname)` Determine if any sFsize attribute is for `hostname` is set
    `boolean` | `isSetShell()` Determine if any shell attribute is set
    `boolean` | `isSetShell(java.lang.String hostname)` Determine if any shell attribute is for `hostname` is set
    `boolean` | `isSetShellStartMode()` Determine if any shellStartMode attribute is set
    `boolean` | `isSetShellStartMode(java.lang.String hostname)` Determine if any shellStartMode attribute is for `hostname` is set
    `boolean` | `isSetSRss()` Determine if any sRss attribute is set
    `boolean` | `isSetSRss(java.lang.String hostname)` Determine if any sRss attribute is for `hostname` is set
    `boolean` | `isSetSRt()` Determine if any sRt attribute is set
    `boolean` | `isSetSRt(java.lang.String hostname)` Determine if any sRt attribute is for `hostname` is set
    `boolean` | `isSetSStack()` Determine if any sStack attribute is set
    `boolean` | `isSetSStack(java.lang.String hostname)` Determine if any sStack attribute is for `hostname` is set
    `boolean` | `isSetStarterMethod()` Determine if any starterMethod attribute is set
    `boolean` | `isSetStarterMethod(java.lang.String hostname)` Determine if any starterMethod attribute is for `hostname` is set
    `boolean` | `isSetSubordinate()` Determine if any subordinate attribute is set
    `boolean` | `isSetSuspendInterval()` Determine if any suspendInterval attribute is set
    `boolean` | `isSetSuspendInterval(java.lang.String hostname)` Determine if any suspendInterval attribute is for `hostname` is set
    `boolean` | `isSetSuspendMethod()` Determine if any suspendMethod attribute is set
    `boolean` | `isSetSuspendMethod(java.lang.String hostname)` Determine if any suspendMethod attribute is for `hostname` is set
    `boolean` | `isSetSuspendThresholds()` Determine if any suspendThresholds attribute is set
    `boolean` | `isSetSVmem()` Determine if any sVmem attribute is set
    `boolean` | `isSetSVmem(java.lang.String hostname)` Determine if any sVmem attribute is for `hostname` is set
    `boolean` | `isSetTag()` Determine if any tag attribute is set
    `boolean` | `isSetTerminateMethod()` Determine if any terminateMethod attribute is set
    `boolean` | `isSetTerminateMethod(java.lang.String hostname)` Determine if any terminateMethod attribute is for `hostname` is set
    `boolean` | `isSetTmpdir()` Determine if any tmpdir attribute is set
    `boolean` | `isSetTmpdir(java.lang.String hostname)` Determine if any tmpdir attribute is for `hostname` is set
    `boolean` | `isSetXacl()` Determine if any xacl attribute is set
    `boolean` | `isSetXprojects()` Determine if any xprojects attribute is set
    `void` | `putCalendar(java.lang.String hostname, java.lang.String calendar)` Put the attribute calendar for `hostname`.
    `void` | `putEpilog(java.lang.String hostname, java.lang.String epilog)` Put the attribute epilog for `hostname`.
    `void` | `putHCore(java.lang.String hostname, java.lang.String hCore)` Put the attribute hCore for `hostname`.
    `void` | `putHCpu(java.lang.String hostname, java.lang.String hCpu)` Put the attribute hCpu for `hostname`.
    `void` | `putHData(java.lang.String hostname, java.lang.String hData)` Put the attribute hData for `hostname`.
    `void` | `putHFsize(java.lang.String hostname, java.lang.String hFSize)` Put the attribute hFsize for `hostname`.
    `void` | `putHRss(java.lang.String hostname, java.lang.String hRss)` Put the attribute hRss for `hostname`.
    `void` | `putHRt(java.lang.String hostname, java.lang.String hRt)` Put the attribute hRt for `hostname`.
    `void` | `putHStack(java.lang.String hostname, java.lang.String hStack)` Put the attribute hStack for `hostname`.
    `void` | `putHVmem(java.lang.String hostname, java.lang.String hVmem)` Put the attribute hVmem for `hostname`.
    `void` | `putInitialState(java.lang.String hostname, java.lang.String initialState)` Put the attribute initialState for `hostname`.
    `void` | `putJobSlots(java.lang.String hostname, int jobSlots)` Put the attribute jobSlots for `hostname`.
    `void` | `putMinCpuInterval(java.lang.String hostname, java.lang.String minCpuInterval)` Put the attribute minCpuInterval for `hostname`.
    `void` | `putNotify(java.lang.String hostname, java.lang.String notify)` Put the attribute notify for `hostname`.
    `void` | `putNsuspend(java.lang.String hostname, int nsuspend)` Put the attribute nsuspend for `hostname`.
    `void` | `putPriority(java.lang.String hostname, java.lang.String priority)` Put the attribute priority for `hostname`.
    `void` | `putProcessors(java.lang.String hostname, java.lang.String processors)` Put the attribute processors for `hostname`.
    `void` | `putProlog(java.lang.String hostname, java.lang.String prolog)` Put the attribute prolog for `hostname`.
    `void` | `putQtype(java.lang.String hostname, int qType)` Put the attribute qtype for `hostname`.
    `void` | `putRerun(java.lang.String hostname, boolean rerun)` Put the attribute rerun for `hostname`.
    `void` | `putResumeMethod(java.lang.String hostname, java.lang.String resumeMethod)` Put the attribute resumeMethod for `hostname`.
    `void` | `putSCore(java.lang.String hostname, java.lang.String sCore)` Put the attribute sCore for `hostname`.
    `void` | `putSCpu(java.lang.String hostname, java.lang.String sCpu)` Put the attribute sCpu for `hostname`.
    `void` | `putSData(java.lang.String hostname, java.lang.String sData)` Put the attribute sData for `hostname`.
    `void` | `putSeqNo(java.lang.String hostname, int seqNo)` Put the attribute seqNo for `hostname`.
    `void` | `putSFsize(java.lang.String hostname, java.lang.String sFSize)` Put the attribute sFsize for `hostname`.
    `void` | `putShell(java.lang.String hostname, java.lang.String shell)` Put the attribute shell for `hostname`.
    `void` | `putShellStartMode(java.lang.String hostname, java.lang.String shellStartMode)` Put the attribute shellStartMode for `hostname`.
    `void` | `putSRss(java.lang.String hostname, java.lang.String sRss)` Put the attribute sRss for `hostname`.
    `void` | `putSRt(java.lang.String hostname, java.lang.String sRt)` Put the attribute sRt for `hostname`.
    `void` | `putSStack(java.lang.String hostname, java.lang.String sStack)` Put the attribute sStack for `hostname`.
    `void` | `putStarterMethod(java.lang.String hostname, java.lang.String starterMethod)` Put the attribute starterMethod for `hostname`.
    `void` | `putSuspendInterval(java.lang.String hostname, java.lang.String suspendInterval)` Put the attribute suspendInterval for `hostname`.
    `void` | `putSuspendMethod(java.lang.String hostname, java.lang.String suspendMethod)` Put the attribute suspendMethod for `hostname`.
    `void` | `putSVmem(java.lang.String hostname, java.lang.String sVmem)` Put the attribute sVmem for `hostname`.
    `void` | `putTerminateMethod(java.lang.String hostname, java.lang.String terminateMethod)` Put the attribute terminateMethod for `hostname`.
    `void` | `putTmpdir(java.lang.String hostname, java.lang.String tmpDir)` Put the attribute tmpdir for `hostname`.
    `boolean` | `removeAcl(java.lang.String hostname, UserSet acl)` Remove `acl` attribute for `hostname`.
    `java.lang.Object` | `removeAclAt(java.lang.String hostname, int index)` Remove `acl` attribute for `hostname`.
    `void` | `removeAllAcl()` Remove all acl) attributes.
    `void` | `removeAllAcl(java.lang.String hostname)` Remove all `acl` attributes for `hostname`.
    `void` | `removeAllCalendar()` Remove the attribute calendar for all hostnames.
    `void` | `removeAllCkpt()` Remove all checkpoint) attributes.
    `void` | `removeAllCkpt(java.lang.String hostname)` Remove all `checkpoint` attributes for `hostname`.
    `void` | `removeAllConsumableConfig()` Remove all consumable) attributes.
    `void` | `removeAllConsumableConfig(java.lang.String hostname)` Remove all `consumable` attributes for `hostname`.
    `void` | `removeAllDefaultAcl()` Remove all acl) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultCkpt()` Remove all checkpoint) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultConsumableConfig()` Remove all consumable) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultLoadThresholds()` Remove all loadThreshold) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultOwner()` Remove all owner) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultPe()` Remove all pe) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultProjects()` Remove all project) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultSubordinate()` Remove all subordinate) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultSuspendThresholds()` Remove all suspendThreshold) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultXacl()` Remove all acl) attributes from the default `hostname` (@/).
    `void` | `removeAllDefaultXprojects()` Remove all project) attributes from the default `hostname` (@/).
    `void` | `removeAllEpilog()` Remove the attribute epilog for all hostnames.
    `void` | `removeAllHCore()` Remove the attribute hCore for all hostnames.
    `void` | `removeAllHCpu()` Remove the attribute hCpu for all hostnames.
    `void` | `removeAllHData()` Remove the attribute hData for all hostnames.
    `void` | `removeAllHFsize()` Remove the attribute hFsize for all hostnames.
    `void` | `removeAllHostlist()` Remove all java.lang.String attributes.
    `void` | `removeAllHRss()` Remove the attribute hRss for all hostnames.
    `void` | `removeAllHRt()` Remove the attribute hRt for all hostnames.
    `void` | `removeAllHStack()` Remove the attribute hStack for all hostnames.
    `void` | `removeAllHVmem()` Remove the attribute hVmem for all hostnames.
    `void` | `removeAllInitialState()` Remove the attribute initialState for all hostnames.
    `void` | `removeAllJobSlots()` Remove the attribute jobSlots for all hostnames.
    `void` | `removeAllLoadThresholds()` Remove all loadThreshold) attributes.
    `void` | `removeAllLoadThresholds(java.lang.String hostname)` Remove all `loadThreshold` attributes for `hostname`.
    `void` | `removeAllMinCpuInterval()` Remove the attribute minCpuInterval for all hostnames.
    `void` | `removeAllNotify()` Remove the attribute notify for all hostnames.
    `void` | `removeAllNsuspend()` Remove the attribute nsuspend for all hostnames.
    `void` | `removeAllOwner()` Remove all owner) attributes.
    `void` | `removeAllOwner(java.lang.String hostname)` Remove all `owner` attributes for `hostname`.
    `void` | `removeAllPe()` Remove all pe) attributes.
    `void` | `removeAllPe(java.lang.String hostname)` Remove all `pe` attributes for `hostname`.
    `void` | `removeAllPriority()` Remove the attribute priority for all hostnames.
    `void` | `removeAllProcessors()` Remove the attribute processors for all hostnames.
    `void` | `removeAllProjects()` Remove all project) attributes.
    `void` | `removeAllProjects(java.lang.String hostname)` Remove all `project` attributes for `hostname`.
    `void` | `removeAllProlog()` Remove the attribute prolog for all hostnames.
    `void` | `removeAllQtype()` Remove the attribute qtype for all hostnames.
    `void` | `removeAllRerun()` Remove the attribute rerun for all hostnames.
    `void` | `removeAllResumeMethod()` Remove the attribute resumeMethod for all hostnames.
    `void` | `removeAllSCore()` Remove the attribute sCore for all hostnames.
    `void` | `removeAllSCpu()` Remove the attribute sCpu for all hostnames.
    `void` | `removeAllSData()` Remove the attribute sData for all hostnames.
    `void` | `removeAllSeqNo()` Remove the attribute seqNo for all hostnames.
    `void` | `removeAllSFsize()` Remove the attribute sFsize for all hostnames.
    `void` | `removeAllShell()` Remove the attribute shell for all hostnames.
    `void` | `removeAllShellStartMode()` Remove the attribute shellStartMode for all hostnames.
    `void` | `removeAllSRss()` Remove the attribute sRss for all hostnames.
    `void` | `removeAllSRt()` Remove the attribute sRt for all hostnames.
    `void` | `removeAllSStack()` Remove the attribute sStack for all hostnames.
    `void` | `removeAllStarterMethod()` Remove the attribute starterMethod for all hostnames.
    `void` | `removeAllSubordinate()` Remove all subordinate) attributes.
    `void` | `removeAllSubordinate(java.lang.String hostname)` Remove all `subordinate` attributes for `hostname`.
    `void` | `removeAllSuspendInterval()` Remove the attribute suspendInterval for all hostnames.
    `void` | `removeAllSuspendMethod()` Remove the attribute suspendMethod for all hostnames.
    `void` | `removeAllSuspendThresholds()` Remove all suspendThreshold) attributes.
    `void` | `removeAllSuspendThresholds(java.lang.String hostname)` Remove all `suspendThreshold` attributes for `hostname`.
    `void` | `removeAllSVmem()` Remove the attribute sVmem for all hostnames.
    `void` | `removeAllTerminateMethod()` Remove the attribute terminateMethod for all hostnames.
    `void` | `removeAllTmpdir()` Remove the attribute tmpdir for all hostnames.
    `void` | `removeAllXacl()` Remove all acl) attributes.
    `void` | `removeAllXacl(java.lang.String hostname)` Remove all `acl` attributes for `hostname`.
    `void` | `removeAllXprojects()` Remove all project) attributes.
    `void` | `removeAllXprojects(java.lang.String hostname)` Remove all `project` attributes for `hostname`.
    `java.lang.String` | `removeCalendar(java.lang.String hostname)` remove the attribute calendar for `hostname`.
    `boolean` | `removeCkpt(java.lang.String hostname, java.lang.String checkpoint)` Remove `checkpoint` attribute for `hostname`.
    `java.lang.Object` | `removeCkptAt(java.lang.String hostname, int index)` Remove `checkpoint` attribute for `hostname`.
    `boolean` | `removeConsumableConfig(java.lang.String hostname, ComplexEntry consumable)` Remove `consumable` attribute for `hostname`.
    `java.lang.Object` | `removeConsumableConfigAt(java.lang.String hostname, int index)` Remove `consumable` attribute for `hostname`.
    `boolean` | `removeDefaultAcl(java.lang.String hostname, UserSet acl)` Remove `acl` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultAclAt(java.lang.String hostname, int index)` Remove `acl` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultCkpt(java.lang.String hostname, java.lang.String checkpoint)` Remove `checkpoint` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultCkptAt(java.lang.String hostname, int index)` Remove `checkpoint` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultConsumableConfig(java.lang.String hostname, ComplexEntry consumable)` Remove `consumable` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultConsumableConfigAt(java.lang.String hostname, int index)` Remove `consumable` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultLoadThresholds(java.lang.String hostname, ComplexEntry loadThreshold)` Remove `loadThreshold` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultLoadThresholdsAt(java.lang.String hostname, int index)` Remove `loadThreshold` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultOwner(java.lang.String hostname, UserSet owner)` Remove `owner` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultOwnerAt(java.lang.String hostname, int index)` Remove `owner` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultPe(java.lang.String hostname, java.lang.String pe)` Remove `pe` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultPeAt(java.lang.String hostname, int index)` Remove `pe` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultProjects(java.lang.String hostname, Project project)` Remove `project` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultProjectsAt(java.lang.String hostname, int index)` Remove `project` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultSubordinate(java.lang.String hostname, Subordinate subordinate)` Remove `subordinate` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultSubordinateAt(java.lang.String hostname, int index)` Remove `subordinate` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultSuspendThresholds(java.lang.String hostname, ComplexEntry suspendThreshold)` Remove `suspendThreshold` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultSuspendThresholdsAt(java.lang.String hostname, int index)` Remove `suspendThreshold` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultXacl(java.lang.String hostname, UserSet acl)` Remove `acl` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultXaclAt(java.lang.String hostname, int index)` Remove `acl` attribute for the default `hostname` (@/).
    `boolean` | `removeDefaultXprojects(java.lang.String hostname, Project project)` Remove `project` attribute from the default `hostname` (@/).
    `java.lang.Object` | `removeDefaultXprojectsAt(java.lang.String hostname, int index)` Remove `project` attribute for the default `hostname` (@/).
    `java.lang.String` | `removeEpilog(java.lang.String hostname)` remove the attribute epilog for `hostname`.
    `java.lang.String` | `removeHCore(java.lang.String hostname)` remove the attribute hCore for `hostname`.
    `java.lang.String` | `removeHCpu(java.lang.String hostname)` remove the attribute hCpu for `hostname`.
    `java.lang.String` | `removeHData(java.lang.String hostname)` remove the attribute hData for `hostname`.
    `java.lang.String` | `removeHFsize(java.lang.String hostname)` remove the attribute hFsize for `hostname`.
    `java.lang.String` | `removeHostlist(int index)` Remote a java.lang.String attribute at an index.
    `boolean` | `removeHostlist(java.lang.String ahostlist)` Remote a specific java.lang.String attribute.
    `java.lang.String` | `removeHRss(java.lang.String hostname)` remove the attribute hRss for `hostname`.
    `java.lang.String` | `removeHRt(java.lang.String hostname)` remove the attribute hRt for `hostname`.
    `java.lang.String` | `removeHStack(java.lang.String hostname)` remove the attribute hStack for `hostname`.
    `java.lang.String` | `removeHVmem(java.lang.String hostname)` remove the attribute hVmem for `hostname`.
    `java.lang.String` | `removeInitialState(java.lang.String hostname)` remove the attribute initialState for `hostname`.
    `java.lang.Integer` | `removeJobSlots(java.lang.String hostname)` remove the attribute jobSlots for `hostname`.
    `boolean` | `removeLoadThresholds(java.lang.String hostname, ComplexEntry loadThreshold)` Remove `loadThreshold` attribute for `hostname`.
    `java.lang.Object` | `removeLoadThresholdsAt(java.lang.String hostname, int index)` Remove `loadThreshold` attribute for `hostname`.
    `java.lang.String` | `removeMinCpuInterval(java.lang.String hostname)` remove the attribute minCpuInterval for `hostname`.
    `java.lang.String` | `removeNotify(java.lang.String hostname)` remove the attribute notify for `hostname`.
    `java.lang.Integer` | `removeNsuspend(java.lang.String hostname)` remove the attribute nsuspend for `hostname`.
    `boolean` | `removeOwner(java.lang.String hostname, UserSet owner)` Remove `owner` attribute for `hostname`.
    `java.lang.Object` | `removeOwnerAt(java.lang.String hostname, int index)` Remove `owner` attribute for `hostname`.
    `boolean` | `removePe(java.lang.String hostname, java.lang.String pe)` Remove `pe` attribute for `hostname`.
    `java.lang.Object` | `removePeAt(java.lang.String hostname, int index)` Remove `pe` attribute for `hostname`.
    `java.lang.String` | `removePriority(java.lang.String hostname)` remove the attribute priority for `hostname`.
    `java.lang.String` | `removeProcessors(java.lang.String hostname)` remove the attribute processors for `hostname`.
    `boolean` | `removeProjects(java.lang.String hostname, Project project)` Remove `project` attribute for `hostname`.
    `java.lang.Object` | `removeProjectsAt(java.lang.String hostname, int index)` Remove `project` attribute for `hostname`.
    `java.lang.String` | `removeProlog(java.lang.String hostname)` remove the attribute prolog for `hostname`.
    `java.lang.Integer` | `removeQtype(java.lang.String hostname)` remove the attribute qtype for `hostname`.
    `java.lang.Boolean` | `removeRerun(java.lang.String hostname)` remove the attribute rerun for `hostname`.
    `java.lang.String` | `removeResumeMethod(java.lang.String hostname)` remove the attribute resumeMethod for `hostname`.
    `java.lang.String` | `removeSCore(java.lang.String hostname)` remove the attribute sCore for `hostname`.
    `java.lang.String` | `removeSCpu(java.lang.String hostname)` remove the attribute sCpu for `hostname`.
    `java.lang.String` | `removeSData(java.lang.String hostname)` remove the attribute sData for `hostname`.
    `java.lang.Integer` | `removeSeqNo(java.lang.String hostname)` remove the attribute seqNo for `hostname`.
    `java.lang.String` | `removeSFsize(java.lang.String hostname)` remove the attribute sFsize for `hostname`.
    `java.lang.String` | `removeShell(java.lang.String hostname)` remove the attribute shell for `hostname`.
    `java.lang.String` | `removeShellStartMode(java.lang.String hostname)` remove the attribute shellStartMode for `hostname`.
    `java.lang.String` | `removeSRss(java.lang.String hostname)` remove the attribute sRss for `hostname`.
    `java.lang.String` | `removeSRt(java.lang.String hostname)` remove the attribute sRt for `hostname`.
    `java.lang.String` | `removeSStack(java.lang.String hostname)` remove the attribute sStack for `hostname`.
    `java.lang.String` | `removeStarterMethod(java.lang.String hostname)` remove the attribute starterMethod for `hostname`.
    `boolean` | `removeSubordinate(java.lang.String hostname, Subordinate subordinate)` Remove `subordinate` attribute for `hostname`.
    `java.lang.Object` | `removeSubordinateAt(java.lang.String hostname, int index)` Remove `subordinate` attribute for `hostname`.
    `java.lang.String` | `removeSuspendInterval(java.lang.String hostname)` remove the attribute suspendInterval for `hostname`.
    `java.lang.String` | `removeSuspendMethod(java.lang.String hostname)` remove the attribute suspendMethod for `hostname`.
    `boolean` | `removeSuspendThresholds(java.lang.String hostname, ComplexEntry suspendThreshold)` Remove `suspendThreshold` attribute for `hostname`.
    `java.lang.Object` | `removeSuspendThresholdsAt(java.lang.String hostname, int index)` Remove `suspendThreshold` attribute for `hostname`.
    `java.lang.String` | `removeSVmem(java.lang.String hostname)` remove the attribute sVmem for `hostname`.
    `java.lang.String` | `removeTerminateMethod(java.lang.String hostname)` remove the attribute terminateMethod for `hostname`.
    `java.lang.String` | `removeTmpdir(java.lang.String hostname)` remove the attribute tmpdir for `hostname`.
    `boolean` | `removeXacl(java.lang.String hostname, UserSet acl)` Remove `acl` attribute for `hostname`.
    `java.lang.Object` | `removeXaclAt(java.lang.String hostname, int index)` Remove `acl` attribute for `hostname`.
    `boolean` | `removeXprojects(java.lang.String hostname, Project project)` Remove `project` attribute for `hostname`.
    `java.lang.Object` | `removeXprojectsAt(java.lang.String hostname, int index)` Remove `project` attribute for `hostname`.
    `void` | `setAcl(java.lang.String hostname, int index, UserSet acl)` Set `acl` attribute for `hostname`.
    `void` | `setCkpt(java.lang.String hostname, int index, java.lang.String checkpoint)` Set `checkpoint` attribute for `hostname`.
    `void` | `setConsumableConfig(java.lang.String hostname, int index, ComplexEntry consumable)` Set `consumable` attribute for `hostname`.
    `void` | `setDefaultAcl(int index, UserSet acl)` Set `acl` attribute for the default `hostname` (@/).
    `void` | `setDefaultCalendar(java.lang.String calendar)` Set `calendar` attribute for the default `hostname` (@/).
    `void` | `setDefaultCkpt(int index, java.lang.String checkpoint)` Set `checkpoint` attribute for the default `hostname` (@/).
    `void` | `setDefaultConsumableConfig(int index, ComplexEntry consumable)` Set `consumable` attribute for the default `hostname` (@/).
    `void` | `setDefaultEpilog(java.lang.String epilog)` Set `epilog` attribute for the default `hostname` (@/).
    `void` | `setDefaultHCore(java.lang.String hCore)` Set `hCore` attribute for the default `hostname` (@/).
    `void` | `setDefaultHCpu(java.lang.String hCpu)` Set `hCpu` attribute for the default `hostname` (@/).
    `void` | `setDefaultHData(java.lang.String hData)` Set `hData` attribute for the default `hostname` (@/).
    `void` | `setDefaultHFsize(java.lang.String hFSize)` Set `hFSize` attribute for the default `hostname` (@/).
    `void` | `setDefaultHRss(java.lang.String hRss)` Set `hRss` attribute for the default `hostname` (@/).
    `void` | `setDefaultHRt(java.lang.String hRt)` Set `hRt` attribute for the default `hostname` (@/).
    `void` | `setDefaultHStack(java.lang.String hStack)` Set `hStack` attribute for the default `hostname` (@/).
    `void` | `setDefaultHVmem(java.lang.String hVmem)` Set `hVmem` attribute for the default `hostname` (@/).
    `void` | `setDefaultInitialState(java.lang.String initialState)` Set `initialState` attribute for the default `hostname` (@/).
    `void` | `setDefaultJobSlots(int jobSlots)` Set `jobSlots` attribute for the default `hostname` (@/).
    `void` | `setDefaultLoadThresholds(int index, ComplexEntry loadThreshold)` Set `loadThreshold` attribute for the default `hostname` (@/).
    `void` | `setDefaultMinCpuInterval(java.lang.String minCpuInterval)` Set `minCpuInterval` attribute for the default `hostname` (@/).
    `void` | `setDefaultNotify(java.lang.String notify)` Set `notify` attribute for the default `hostname` (@/).
    `void` | `setDefaultNsuspend(int nsuspend)` Set `nsuspend` attribute for the default `hostname` (@/).
    `void` | `setDefaultOwner(int index, UserSet owner)` Set `owner` attribute for the default `hostname` (@/).
    `void` | `setDefaultPe(int index, java.lang.String pe)` Set `pe` attribute for the default `hostname` (@/).
    `void` | `setDefaultPriority(java.lang.String priority)` Set `priority` attribute for the default `hostname` (@/).
    `void` | `setDefaultProcessors(java.lang.String processors)` Set `processors` attribute for the default `hostname` (@/).
    `void` | `setDefaultProjects(int index, Project project)` Set `project` attribute for the default `hostname` (@/).
    `void` | `setDefaultProlog(java.lang.String prolog)` Set `prolog` attribute for the default `hostname` (@/).
    `void` | `setDefaultQtype(int qType)` Set `qType` attribute for the default `hostname` (@/).
    `void` | `setDefaultRerun(boolean rerun)` Set `rerun` attribute for the default `hostname` (@/).
    `void` | `setDefaultResumeMethod(java.lang.String resumeMethod)` Set `resumeMethod` attribute for the default `hostname` (@/).
    `void` | `setDefaultSCore(java.lang.String sCore)` Set `sCore` attribute for the default `hostname` (@/).
    `void` | `setDefaultSCpu(java.lang.String sCpu)` Set `sCpu` attribute for the default `hostname` (@/).
    `void` | `setDefaultSData(java.lang.String sData)` Set `sData` attribute for the default `hostname` (@/).
    `void` | `setDefaultSeqNo(int seqNo)` Set `seqNo` attribute for the default `hostname` (@/).
    `void` | `setDefaultSFsize(java.lang.String sFSize)` Set `sFSize` attribute for the default `hostname` (@/).
    `void` | `setDefaultShell(java.lang.String shell)` Set `shell` attribute for the default `hostname` (@/).
    `void` | `setDefaultShellStartMode(java.lang.String shellStartMode)` Set `shellStartMode` attribute for the default `hostname` (@/).
    `void` | `setDefaultSRss(java.lang.String sRss)` Set `sRss` attribute for the default `hostname` (@/).
    `void` | `setDefaultSRt(java.lang.String sRt)` Set `sRt` attribute for the default `hostname` (@/).
    `void` | `setDefaultSStack(java.lang.String sStack)` Set `sStack` attribute for the default `hostname` (@/).
    `void` | `setDefaultStarterMethod(java.lang.String starterMethod)` Set `starterMethod` attribute for the default `hostname` (@/).
    `void` | `setDefaultSubordinate(int index, Subordinate subordinate)` Set `subordinate` attribute for the default `hostname` (@/).
    `void` | `setDefaultSuspendInterval(java.lang.String suspendInterval)` Set `suspendInterval` attribute for the default `hostname` (@/).
    `void` | `setDefaultSuspendMethod(java.lang.String suspendMethod)` Set `suspendMethod` attribute for the default `hostname` (@/).
    `void` | `setDefaultSuspendThresholds(int index, ComplexEntry suspendThreshold)` Set `suspendThreshold` attribute for the default `hostname` (@/).
    `void` | `setDefaultSVmem(java.lang.String sVmem)` Set `sVmem` attribute for the default `hostname` (@/).
    `void` | `setDefaultTerminateMethod(java.lang.String terminateMethod)` Set `terminateMethod` attribute for the default `hostname` (@/).
    `void` | `setDefaultTmpdir(java.lang.String tmpDir)` Set `tmpDir` attribute for the default `hostname` (@/).
    `void` | `setDefaultXacl(int index, UserSet acl)` Set `acl` attribute for the default `hostname` (@/).
    `void` | `setDefaultXprojects(int index, Project project)` Set `project` attribute for the default `hostname` (@/).
    `void` | `setHostlist(int index, java.lang.String ahostlist)` Set a java.lang.String attribute.
    `void` | `setLoadThresholds(java.lang.String hostname, int index, ComplexEntry loadThreshold)` Set `loadThreshold` attribute for `hostname`.
    `void` | `setName(java.lang.String aName)` Set the name attribute.
    `void` | `setOwner(java.lang.String hostname, int index, UserSet owner)` Set `owner` attribute for `hostname`.
    `void` | `setPe(java.lang.String hostname, int index, java.lang.String pe)` Set `pe` attribute for `hostname`.
    `void` | `setProjects(java.lang.String hostname, int index, Project project)` Set `project` attribute for `hostname`.
    `void` | `setSubordinate(java.lang.String hostname, int index, Subordinate subordinate)` Set `subordinate` attribute for `hostname`.
    `void` | `setSuspendThresholds(java.lang.String hostname, int index, ComplexEntry suspendThreshold)` Set `suspendThreshold` attribute for `hostname`.
    `void` | `setTag(int aTag)` Set the tag attribute.
    `void` | `setXacl(java.lang.String hostname, int index, UserSet acl)` Set `acl` attribute for `hostname`.
    `void` | `setXprojects(java.lang.String hostname, int index, Project project)` Set `project` attribute for `hostname`.

    - ### Methods inherited from interface com.sun.grid.jgdi.configuration.GEObject

      `equalsCompletely, getParent`

- - ### Method Detail

    - #### setName

          void setName(java.lang.String aName)

      Set the name attribute.
      Parameters:
        `aName` - the new value for the name attribute

    - #### getName

          java.lang.String getName()

      Get the value of the name attribute.
      Specified by:
        `getName` in interface `GEObject`
      Returns:
        the value of the name attribute

    - #### isSetName

          boolean isSetName()

      Determine if any name attribute is set
      Returns:
        `true` if the name attribute is set

    - #### getHostlistList

          java.util.List<java.lang.String> getHostlistList()

      Get a unmodifiable list of all java.lang.String attributes.
      Returns:
        Unmodifiable list with all java.lang.String attributes

    - #### getHostlistCount

          int getHostlistCount()

      Get the number of java.lang.String attributes.
      Returns:
        The number of java.lang.String attributes.

    - #### getHostlist

          java.lang.String getHostlist(int index)

      Get a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the java.lang.String attribute

    - #### addHostlist

          void addHostlist(java.lang.String ahostlist)

      Add a java.lang.String attribute.
      Parameters:
        `ahostlist` - the new java.lang.String attribute

    - #### setHostlist

          void setHostlist(int index,
                           java.lang.String ahostlist)

      Set a java.lang.String attribute.
      Parameters:
        `index` - index of the java.lang.String attribute
        `ahostlist` - the new java.lang.String attribute

    - #### removeAllHostlist

          void removeAllHostlist()

      Remove all java.lang.String attributes.

    - #### removeHostlist

          java.lang.String removeHostlist(int index)

      Remote a java.lang.String attribute at an index.
      Parameters:
        `index` - the index of the java.lang.String attribute which should be removed
      Returns:
        the removed java.lang.String attribute or `null` if no attribute at this index is stored

    - #### removeHostlist

          boolean removeHostlist(java.lang.String ahostlist)

      Remote a specific java.lang.String attribute.
      Parameters:
        `ahostlist` - the java.lang.String attribute which should be removed
      Returns:
        `true` if the java.lang.String attribute has been removed

    - #### isSetHostlist

          boolean isSetHostlist()

      Determine if any hostlist attribute is set
      Returns:
        `true` if the hostlist attribute is set

    - #### getQinstancesList

          java.util.List<QueueInstance> getQinstancesList()

      Get a unmodifiable list of all com.sun.grid.jgdi.configuration.QueueInstance attributes.
      Returns:
        Unmodifiable list with all com.sun.grid.jgdi.configuration.QueueInstance attributes

    - #### getQinstancesCount

          int getQinstancesCount()

      Get the number of com.sun.grid.jgdi.configuration.QueueInstance attributes.
      Returns:
        The number of com.sun.grid.jgdi.configuration.QueueInstance attributes.

    - #### getQinstances

          QueueInstance getQinstances(int index)

      Get a com.sun.grid.jgdi.configuration.QueueInstance attribute at an index.
      Parameters:
        `index` - the index of the com.sun.grid.jgdi.configuration.QueueInstance attribute which should be removed
      Returns:
        the com.sun.grid.jgdi.configuration.QueueInstance attribute

    - #### isSetQinstances

          boolean isSetQinstances()

      Determine if any qinstances attribute is set
      Returns:
        `true` if the qinstances attribute is set

    - #### getDefaultSeqNo

          int getDefaultSeqNo()

      Get the default value of the attribute seqNo.

      Returns:
        the default value of the attribute seqNo
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSeqNo

          int getSeqNo(java.lang.String hostname)

      Get the seqNo attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the seqNo attribute for `hostname` or the default value of seqNo

    - #### getSeqNoKeys

          java.util.Set<java.lang.String> getSeqNoKeys()

      Get the set of `hostname`s which have the attribute seqNo set.
      Returns:
        set of `hostname`s

    - #### getSeqNoCount

          int getSeqNoCount()

      Get the number of hostnames which have the attribute seqNo set.
      Returns:
        the number of hostnames which have the attribute seqNo set.

    - #### isSetSeqNo

          boolean isSetSeqNo(java.lang.String hostname)

      Determine if any seqNo attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the seqNo attribute is set

    - #### putSeqNo

          void putSeqNo(java.lang.String hostname,
                        int seqNo)

      Put the attribute seqNo for `hostname`.

      Parameters:
        `hostname` - the hostname
        `seqNo` - the seqNo

    - #### setDefaultSeqNo

          void setDefaultSeqNo(int seqNo)

      Set `seqNo` attribute for the default `hostname` (@/).
      Parameters:
        `seqNo` - the seqNo attribute

    - #### removeSeqNo

          java.lang.Integer removeSeqNo(java.lang.String hostname)

      remove the attribute seqNo for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSeqNo

          void removeAllSeqNo()

      Remove the attribute seqNo for all hostnames.

    - #### isSetSeqNo

          boolean isSetSeqNo()

      Determine if any seqNo attribute is set
      Returns:
        `true` if the seqNo attribute is set

    - #### getDefaultNsuspend

          int getDefaultNsuspend()

      Get the default value of the attribute nsuspend.

      Returns:
        the default value of the attribute nsuspend
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getNsuspend

          int getNsuspend(java.lang.String hostname)

      Get the nsuspend attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the nsuspend attribute for `hostname` or the default value of nsuspend

    - #### getNsuspendKeys

          java.util.Set<java.lang.String> getNsuspendKeys()

      Get the set of `hostname`s which have the attribute nsuspend set.
      Returns:
        set of `hostname`s

    - #### getNsuspendCount

          int getNsuspendCount()

      Get the number of hostnames which have the attribute nsuspend set.
      Returns:
        the number of hostnames which have the attribute nsuspend set.

    - #### isSetNsuspend

          boolean isSetNsuspend(java.lang.String hostname)

      Determine if any nsuspend attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the nsuspend attribute is set

    - #### putNsuspend

          void putNsuspend(java.lang.String hostname,
                           int nsuspend)

      Put the attribute nsuspend for `hostname`.

      Parameters:
        `hostname` - the hostname
        `nsuspend` - the nsuspend

    - #### setDefaultNsuspend

          void setDefaultNsuspend(int nsuspend)

      Set `nsuspend` attribute for the default `hostname` (@/).
      Parameters:
        `nsuspend` - the nsuspend attribute

    - #### removeNsuspend

          java.lang.Integer removeNsuspend(java.lang.String hostname)

      remove the attribute nsuspend for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllNsuspend

          void removeAllNsuspend()

      Remove the attribute nsuspend for all hostnames.

    - #### isSetNsuspend

          boolean isSetNsuspend()

      Determine if any nsuspend attribute is set
      Returns:
        `true` if the nsuspend attribute is set

    - #### getDefaultJobSlots

          int getDefaultJobSlots()

      Get the default value of the attribute jobSlots.

      Returns:
        the default value of the attribute jobSlots
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getJobSlots

          int getJobSlots(java.lang.String hostname)

      Get the jobSlots attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the jobSlots attribute for `hostname` or the default value of jobSlots

    - #### getJobSlotsKeys

          java.util.Set<java.lang.String> getJobSlotsKeys()

      Get the set of `hostname`s which have the attribute jobSlots set.
      Returns:
        set of `hostname`s

    - #### getJobSlotsCount

          int getJobSlotsCount()

      Get the number of hostnames which have the attribute jobSlots set.
      Returns:
        the number of hostnames which have the attribute jobSlots set.

    - #### isSetJobSlots

          boolean isSetJobSlots(java.lang.String hostname)

      Determine if any jobSlots attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the jobSlots attribute is set

    - #### putJobSlots

          void putJobSlots(java.lang.String hostname,
                           int jobSlots)

      Put the attribute jobSlots for `hostname`.

      Parameters:
        `hostname` - the hostname
        `jobSlots` - the jobSlots

    - #### setDefaultJobSlots

          void setDefaultJobSlots(int jobSlots)

      Set `jobSlots` attribute for the default `hostname` (@/).
      Parameters:
        `jobSlots` - the jobSlots attribute

    - #### removeJobSlots

          java.lang.Integer removeJobSlots(java.lang.String hostname)

      remove the attribute jobSlots for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllJobSlots

          void removeAllJobSlots()

      Remove the attribute jobSlots for all hostnames.

    - #### isSetJobSlots

          boolean isSetJobSlots()

      Determine if any jobSlots attribute is set
      Returns:
        `true` if the jobSlots attribute is set

    - #### getDefaultRerun

          boolean getDefaultRerun()

      Get the default value of the attribute rerun.

      Returns:
        the default value of the attribute rerun
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getRerun

          boolean getRerun(java.lang.String hostname)

      Get the rerun attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the rerun attribute for `hostname` or the default value of rerun

    - #### getRerunKeys

          java.util.Set<java.lang.String> getRerunKeys()

      Get the set of `hostname`s which have the attribute rerun set.
      Returns:
        set of `hostname`s

    - #### getRerunCount

          int getRerunCount()

      Get the number of hostnames which have the attribute rerun set.
      Returns:
        the number of hostnames which have the attribute rerun set.

    - #### isSetRerun

          boolean isSetRerun(java.lang.String hostname)

      Determine if any rerun attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the rerun attribute is set

    - #### putRerun

          void putRerun(java.lang.String hostname,
                        boolean rerun)

      Put the attribute rerun for `hostname`.

      Parameters:
        `hostname` - the hostname
        `rerun` - the rerun

    - #### setDefaultRerun

          void setDefaultRerun(boolean rerun)

      Set `rerun` attribute for the default `hostname` (@/).
      Parameters:
        `rerun` - the rerun attribute

    - #### removeRerun

          java.lang.Boolean removeRerun(java.lang.String hostname)

      remove the attribute rerun for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllRerun

          void removeAllRerun()

      Remove the attribute rerun for all hostnames.

    - #### isSetRerun

          boolean isSetRerun()

      Determine if any rerun attribute is set
      Returns:
        `true` if the rerun attribute is set

    - #### getDefaultSFsize

          java.lang.String getDefaultSFsize()

      Get the default value of the attribute sFsize.

      Returns:
        the default value of the attribute sFsize
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSFsize

          java.lang.String getSFsize(java.lang.String hostname)

      Get the sFsize attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the sFsize attribute for `hostname` or the default value of sFsize

    - #### getSFsizeKeys

          java.util.Set<java.lang.String> getSFsizeKeys()

      Get the set of `hostname`s which have the attribute sFsize set.
      Returns:
        set of `hostname`s

    - #### getSFsizeCount

          int getSFsizeCount()

      Get the number of hostnames which have the attribute sFsize set.
      Returns:
        the number of hostnames which have the attribute sFsize set.

    - #### isSetSFsize

          boolean isSetSFsize(java.lang.String hostname)

      Determine if any sFsize attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sFsize attribute is set

    - #### putSFsize

          void putSFsize(java.lang.String hostname,
                         java.lang.String sFSize)

      Put the attribute sFsize for `hostname`.

      Parameters:
        `hostname` - the hostname
        `sFSize` - the sFSize

    - #### setDefaultSFsize

          void setDefaultSFsize(java.lang.String sFSize)

      Set `sFSize` attribute for the default `hostname` (@/).
      Parameters:
        `sFSize` - the sFSize attribute

    - #### removeSFsize

          java.lang.String removeSFsize(java.lang.String hostname)

      remove the attribute sFsize for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSFsize

          void removeAllSFsize()

      Remove the attribute sFsize for all hostnames.

    - #### isSetSFsize

          boolean isSetSFsize()

      Determine if any sFsize attribute is set
      Returns:
        `true` if the sFsize attribute is set

    - #### getDefaultHFsize

          java.lang.String getDefaultHFsize()

      Get the default value of the attribute hFsize.

      Returns:
        the default value of the attribute hFsize
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHFsize

          java.lang.String getHFsize(java.lang.String hostname)

      Get the hFsize attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the hFsize attribute for `hostname` or the default value of hFsize

    - #### getHFsizeKeys

          java.util.Set<java.lang.String> getHFsizeKeys()

      Get the set of `hostname`s which have the attribute hFsize set.
      Returns:
        set of `hostname`s

    - #### getHFsizeCount

          int getHFsizeCount()

      Get the number of hostnames which have the attribute hFsize set.
      Returns:
        the number of hostnames which have the attribute hFsize set.

    - #### isSetHFsize

          boolean isSetHFsize(java.lang.String hostname)

      Determine if any hFsize attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hFsize attribute is set

    - #### putHFsize

          void putHFsize(java.lang.String hostname,
                         java.lang.String hFSize)

      Put the attribute hFsize for `hostname`.

      Parameters:
        `hostname` - the hostname
        `hFSize` - the hFSize

    - #### setDefaultHFsize

          void setDefaultHFsize(java.lang.String hFSize)

      Set `hFSize` attribute for the default `hostname` (@/).
      Parameters:
        `hFSize` - the hFSize attribute

    - #### removeHFsize

          java.lang.String removeHFsize(java.lang.String hostname)

      remove the attribute hFsize for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllHFsize

          void removeAllHFsize()

      Remove the attribute hFsize for all hostnames.

    - #### isSetHFsize

          boolean isSetHFsize()

      Determine if any hFsize attribute is set
      Returns:
        `true` if the hFsize attribute is set

    - #### getDefaultSData

          java.lang.String getDefaultSData()

      Get the default value of the attribute sData.

      Returns:
        the default value of the attribute sData
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSData

          java.lang.String getSData(java.lang.String hostname)

      Get the sData attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the sData attribute for `hostname` or the default value of sData

    - #### getSDataKeys

          java.util.Set<java.lang.String> getSDataKeys()

      Get the set of `hostname`s which have the attribute sData set.
      Returns:
        set of `hostname`s

    - #### getSDataCount

          int getSDataCount()

      Get the number of hostnames which have the attribute sData set.
      Returns:
        the number of hostnames which have the attribute sData set.

    - #### isSetSData

          boolean isSetSData(java.lang.String hostname)

      Determine if any sData attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sData attribute is set

    - #### putSData

          void putSData(java.lang.String hostname,
                        java.lang.String sData)

      Put the attribute sData for `hostname`.

      Parameters:
        `hostname` - the hostname
        `sData` - the sData

    - #### setDefaultSData

          void setDefaultSData(java.lang.String sData)

      Set `sData` attribute for the default `hostname` (@/).
      Parameters:
        `sData` - the sData attribute

    - #### removeSData

          java.lang.String removeSData(java.lang.String hostname)

      remove the attribute sData for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSData

          void removeAllSData()

      Remove the attribute sData for all hostnames.

    - #### isSetSData

          boolean isSetSData()

      Determine if any sData attribute is set
      Returns:
        `true` if the sData attribute is set

    - #### getDefaultHData

          java.lang.String getDefaultHData()

      Get the default value of the attribute hData.

      Returns:
        the default value of the attribute hData
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHData

          java.lang.String getHData(java.lang.String hostname)

      Get the hData attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the hData attribute for `hostname` or the default value of hData

    - #### getHDataKeys

          java.util.Set<java.lang.String> getHDataKeys()

      Get the set of `hostname`s which have the attribute hData set.
      Returns:
        set of `hostname`s

    - #### getHDataCount

          int getHDataCount()

      Get the number of hostnames which have the attribute hData set.
      Returns:
        the number of hostnames which have the attribute hData set.

    - #### isSetHData

          boolean isSetHData(java.lang.String hostname)

      Determine if any hData attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hData attribute is set

    - #### putHData

          void putHData(java.lang.String hostname,
                        java.lang.String hData)

      Put the attribute hData for `hostname`.

      Parameters:
        `hostname` - the hostname
        `hData` - the hData

    - #### setDefaultHData

          void setDefaultHData(java.lang.String hData)

      Set `hData` attribute for the default `hostname` (@/).
      Parameters:
        `hData` - the hData attribute

    - #### removeHData

          java.lang.String removeHData(java.lang.String hostname)

      remove the attribute hData for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllHData

          void removeAllHData()

      Remove the attribute hData for all hostnames.

    - #### isSetHData

          boolean isSetHData()

      Determine if any hData attribute is set
      Returns:
        `true` if the hData attribute is set

    - #### getDefaultSStack

          java.lang.String getDefaultSStack()

      Get the default value of the attribute sStack.

      Returns:
        the default value of the attribute sStack
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSStack

          java.lang.String getSStack(java.lang.String hostname)

      Get the sStack attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the sStack attribute for `hostname` or the default value of sStack

    - #### getSStackKeys

          java.util.Set<java.lang.String> getSStackKeys()

      Get the set of `hostname`s which have the attribute sStack set.
      Returns:
        set of `hostname`s

    - #### getSStackCount

          int getSStackCount()

      Get the number of hostnames which have the attribute sStack set.
      Returns:
        the number of hostnames which have the attribute sStack set.

    - #### isSetSStack

          boolean isSetSStack(java.lang.String hostname)

      Determine if any sStack attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sStack attribute is set

    - #### putSStack

          void putSStack(java.lang.String hostname,
                         java.lang.String sStack)

      Put the attribute sStack for `hostname`.

      Parameters:
        `hostname` - the hostname
        `sStack` - the sStack

    - #### setDefaultSStack

          void setDefaultSStack(java.lang.String sStack)

      Set `sStack` attribute for the default `hostname` (@/).
      Parameters:
        `sStack` - the sStack attribute

    - #### removeSStack

          java.lang.String removeSStack(java.lang.String hostname)

      remove the attribute sStack for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSStack

          void removeAllSStack()

      Remove the attribute sStack for all hostnames.

    - #### isSetSStack

          boolean isSetSStack()

      Determine if any sStack attribute is set
      Returns:
        `true` if the sStack attribute is set

    - #### getDefaultHStack

          java.lang.String getDefaultHStack()

      Get the default value of the attribute hStack.

      Returns:
        the default value of the attribute hStack
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHStack

          java.lang.String getHStack(java.lang.String hostname)

      Get the hStack attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the hStack attribute for `hostname` or the default value of hStack

    - #### getHStackKeys

          java.util.Set<java.lang.String> getHStackKeys()

      Get the set of `hostname`s which have the attribute hStack set.
      Returns:
        set of `hostname`s

    - #### getHStackCount

          int getHStackCount()

      Get the number of hostnames which have the attribute hStack set.
      Returns:
        the number of hostnames which have the attribute hStack set.

    - #### isSetHStack

          boolean isSetHStack(java.lang.String hostname)

      Determine if any hStack attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hStack attribute is set

    - #### putHStack

          void putHStack(java.lang.String hostname,
                         java.lang.String hStack)

      Put the attribute hStack for `hostname`.

      Parameters:
        `hostname` - the hostname
        `hStack` - the hStack

    - #### setDefaultHStack

          void setDefaultHStack(java.lang.String hStack)

      Set `hStack` attribute for the default `hostname` (@/).
      Parameters:
        `hStack` - the hStack attribute

    - #### removeHStack

          java.lang.String removeHStack(java.lang.String hostname)

      remove the attribute hStack for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllHStack

          void removeAllHStack()

      Remove the attribute hStack for all hostnames.

    - #### isSetHStack

          boolean isSetHStack()

      Determine if any hStack attribute is set
      Returns:
        `true` if the hStack attribute is set

    - #### getDefaultSCore

          java.lang.String getDefaultSCore()

      Get the default value of the attribute sCore.

      Returns:
        the default value of the attribute sCore
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSCore

          java.lang.String getSCore(java.lang.String hostname)

      Get the sCore attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the sCore attribute for `hostname` or the default value of sCore

    - #### getSCoreKeys

          java.util.Set<java.lang.String> getSCoreKeys()

      Get the set of `hostname`s which have the attribute sCore set.
      Returns:
        set of `hostname`s

    - #### getSCoreCount

          int getSCoreCount()

      Get the number of hostnames which have the attribute sCore set.
      Returns:
        the number of hostnames which have the attribute sCore set.

    - #### isSetSCore

          boolean isSetSCore(java.lang.String hostname)

      Determine if any sCore attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sCore attribute is set

    - #### putSCore

          void putSCore(java.lang.String hostname,
                        java.lang.String sCore)

      Put the attribute sCore for `hostname`.

      Parameters:
        `hostname` - the hostname
        `sCore` - the sCore

    - #### setDefaultSCore

          void setDefaultSCore(java.lang.String sCore)

      Set `sCore` attribute for the default `hostname` (@/).
      Parameters:
        `sCore` - the sCore attribute

    - #### removeSCore

          java.lang.String removeSCore(java.lang.String hostname)

      remove the attribute sCore for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSCore

          void removeAllSCore()

      Remove the attribute sCore for all hostnames.

    - #### isSetSCore

          boolean isSetSCore()

      Determine if any sCore attribute is set
      Returns:
        `true` if the sCore attribute is set

    - #### getDefaultHCore

          java.lang.String getDefaultHCore()

      Get the default value of the attribute hCore.

      Returns:
        the default value of the attribute hCore
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHCore

          java.lang.String getHCore(java.lang.String hostname)

      Get the hCore attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the hCore attribute for `hostname` or the default value of hCore

    - #### getHCoreKeys

          java.util.Set<java.lang.String> getHCoreKeys()

      Get the set of `hostname`s which have the attribute hCore set.
      Returns:
        set of `hostname`s

    - #### getHCoreCount

          int getHCoreCount()

      Get the number of hostnames which have the attribute hCore set.
      Returns:
        the number of hostnames which have the attribute hCore set.

    - #### isSetHCore

          boolean isSetHCore(java.lang.String hostname)

      Determine if any hCore attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hCore attribute is set

    - #### putHCore

          void putHCore(java.lang.String hostname,
                        java.lang.String hCore)

      Put the attribute hCore for `hostname`.

      Parameters:
        `hostname` - the hostname
        `hCore` - the hCore

    - #### setDefaultHCore

          void setDefaultHCore(java.lang.String hCore)

      Set `hCore` attribute for the default `hostname` (@/).
      Parameters:
        `hCore` - the hCore attribute

    - #### removeHCore

          java.lang.String removeHCore(java.lang.String hostname)

      remove the attribute hCore for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllHCore

          void removeAllHCore()

      Remove the attribute hCore for all hostnames.

    - #### isSetHCore

          boolean isSetHCore()

      Determine if any hCore attribute is set
      Returns:
        `true` if the hCore attribute is set

    - #### getDefaultSRss

          java.lang.String getDefaultSRss()

      Get the default value of the attribute sRss.

      Returns:
        the default value of the attribute sRss
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSRss

          java.lang.String getSRss(java.lang.String hostname)

      Get the sRss attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the sRss attribute for `hostname` or the default value of sRss

    - #### getSRssKeys

          java.util.Set<java.lang.String> getSRssKeys()

      Get the set of `hostname`s which have the attribute sRss set.
      Returns:
        set of `hostname`s

    - #### getSRssCount

          int getSRssCount()

      Get the number of hostnames which have the attribute sRss set.
      Returns:
        the number of hostnames which have the attribute sRss set.

    - #### isSetSRss

          boolean isSetSRss(java.lang.String hostname)

      Determine if any sRss attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sRss attribute is set

    - #### putSRss

          void putSRss(java.lang.String hostname,
                       java.lang.String sRss)

      Put the attribute sRss for `hostname`.

      Parameters:
        `hostname` - the hostname
        `sRss` - the sRss

    - #### setDefaultSRss

          void setDefaultSRss(java.lang.String sRss)

      Set `sRss` attribute for the default `hostname` (@/).
      Parameters:
        `sRss` - the sRss attribute

    - #### removeSRss

          java.lang.String removeSRss(java.lang.String hostname)

      remove the attribute sRss for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSRss

          void removeAllSRss()

      Remove the attribute sRss for all hostnames.

    - #### isSetSRss

          boolean isSetSRss()

      Determine if any sRss attribute is set
      Returns:
        `true` if the sRss attribute is set

    - #### getDefaultHRss

          java.lang.String getDefaultHRss()

      Get the default value of the attribute hRss.

      Returns:
        the default value of the attribute hRss
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHRss

          java.lang.String getHRss(java.lang.String hostname)

      Get the hRss attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the hRss attribute for `hostname` or the default value of hRss

    - #### getHRssKeys

          java.util.Set<java.lang.String> getHRssKeys()

      Get the set of `hostname`s which have the attribute hRss set.
      Returns:
        set of `hostname`s

    - #### getHRssCount

          int getHRssCount()

      Get the number of hostnames which have the attribute hRss set.
      Returns:
        the number of hostnames which have the attribute hRss set.

    - #### isSetHRss

          boolean isSetHRss(java.lang.String hostname)

      Determine if any hRss attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hRss attribute is set

    - #### putHRss

          void putHRss(java.lang.String hostname,
                       java.lang.String hRss)

      Put the attribute hRss for `hostname`.

      Parameters:
        `hostname` - the hostname
        `hRss` - the hRss

    - #### setDefaultHRss

          void setDefaultHRss(java.lang.String hRss)

      Set `hRss` attribute for the default `hostname` (@/).
      Parameters:
        `hRss` - the hRss attribute

    - #### removeHRss

          java.lang.String removeHRss(java.lang.String hostname)

      remove the attribute hRss for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllHRss

          void removeAllHRss()

      Remove the attribute hRss for all hostnames.

    - #### isSetHRss

          boolean isSetHRss()

      Determine if any hRss attribute is set
      Returns:
        `true` if the hRss attribute is set

    - #### getDefaultSVmem

          java.lang.String getDefaultSVmem()

      Get the default value of the attribute sVmem.

      Returns:
        the default value of the attribute sVmem
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSVmem

          java.lang.String getSVmem(java.lang.String hostname)

      Get the sVmem attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the sVmem attribute for `hostname` or the default value of sVmem

    - #### getSVmemKeys

          java.util.Set<java.lang.String> getSVmemKeys()

      Get the set of `hostname`s which have the attribute sVmem set.
      Returns:
        set of `hostname`s

    - #### getSVmemCount

          int getSVmemCount()

      Get the number of hostnames which have the attribute sVmem set.
      Returns:
        the number of hostnames which have the attribute sVmem set.

    - #### isSetSVmem

          boolean isSetSVmem(java.lang.String hostname)

      Determine if any sVmem attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sVmem attribute is set

    - #### putSVmem

          void putSVmem(java.lang.String hostname,
                        java.lang.String sVmem)

      Put the attribute sVmem for `hostname`.

      Parameters:
        `hostname` - the hostname
        `sVmem` - the sVmem

    - #### setDefaultSVmem

          void setDefaultSVmem(java.lang.String sVmem)

      Set `sVmem` attribute for the default `hostname` (@/).
      Parameters:
        `sVmem` - the sVmem attribute

    - #### removeSVmem

          java.lang.String removeSVmem(java.lang.String hostname)

      remove the attribute sVmem for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSVmem

          void removeAllSVmem()

      Remove the attribute sVmem for all hostnames.

    - #### isSetSVmem

          boolean isSetSVmem()

      Determine if any sVmem attribute is set
      Returns:
        `true` if the sVmem attribute is set

    - #### getDefaultHVmem

          java.lang.String getDefaultHVmem()

      Get the default value of the attribute hVmem.

      Returns:
        the default value of the attribute hVmem
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHVmem

          java.lang.String getHVmem(java.lang.String hostname)

      Get the hVmem attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the hVmem attribute for `hostname` or the default value of hVmem

    - #### getHVmemKeys

          java.util.Set<java.lang.String> getHVmemKeys()

      Get the set of `hostname`s which have the attribute hVmem set.
      Returns:
        set of `hostname`s

    - #### getHVmemCount

          int getHVmemCount()

      Get the number of hostnames which have the attribute hVmem set.
      Returns:
        the number of hostnames which have the attribute hVmem set.

    - #### isSetHVmem

          boolean isSetHVmem(java.lang.String hostname)

      Determine if any hVmem attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hVmem attribute is set

    - #### putHVmem

          void putHVmem(java.lang.String hostname,
                        java.lang.String hVmem)

      Put the attribute hVmem for `hostname`.

      Parameters:
        `hostname` - the hostname
        `hVmem` - the hVmem

    - #### setDefaultHVmem

          void setDefaultHVmem(java.lang.String hVmem)

      Set `hVmem` attribute for the default `hostname` (@/).
      Parameters:
        `hVmem` - the hVmem attribute

    - #### removeHVmem

          java.lang.String removeHVmem(java.lang.String hostname)

      remove the attribute hVmem for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllHVmem

          void removeAllHVmem()

      Remove the attribute hVmem for all hostnames.

    - #### isSetHVmem

          boolean isSetHVmem()

      Determine if any hVmem attribute is set
      Returns:
        `true` if the hVmem attribute is set

    - #### getDefaultSRt

          java.lang.String getDefaultSRt()

      Get the default value of the attribute sRt.

      Returns:
        the default value of the attribute sRt
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSRt

          java.lang.String getSRt(java.lang.String hostname)

      Get the sRt attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the sRt attribute for `hostname` or the default value of sRt

    - #### getSRtKeys

          java.util.Set<java.lang.String> getSRtKeys()

      Get the set of `hostname`s which have the attribute sRt set.
      Returns:
        set of `hostname`s

    - #### getSRtCount

          int getSRtCount()

      Get the number of hostnames which have the attribute sRt set.
      Returns:
        the number of hostnames which have the attribute sRt set.

    - #### isSetSRt

          boolean isSetSRt(java.lang.String hostname)

      Determine if any sRt attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sRt attribute is set

    - #### putSRt

          void putSRt(java.lang.String hostname,
                      java.lang.String sRt)

      Put the attribute sRt for `hostname`.

      Parameters:
        `hostname` - the hostname
        `sRt` - the sRt

    - #### setDefaultSRt

          void setDefaultSRt(java.lang.String sRt)

      Set `sRt` attribute for the default `hostname` (@/).
      Parameters:
        `sRt` - the sRt attribute

    - #### removeSRt

          java.lang.String removeSRt(java.lang.String hostname)

      remove the attribute sRt for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSRt

          void removeAllSRt()

      Remove the attribute sRt for all hostnames.

    - #### isSetSRt

          boolean isSetSRt()

      Determine if any sRt attribute is set
      Returns:
        `true` if the sRt attribute is set

    - #### getDefaultHRt

          java.lang.String getDefaultHRt()

      Get the default value of the attribute hRt.

      Returns:
        the default value of the attribute hRt
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHRt

          java.lang.String getHRt(java.lang.String hostname)

      Get the hRt attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the hRt attribute for `hostname` or the default value of hRt

    - #### getHRtKeys

          java.util.Set<java.lang.String> getHRtKeys()

      Get the set of `hostname`s which have the attribute hRt set.
      Returns:
        set of `hostname`s

    - #### getHRtCount

          int getHRtCount()

      Get the number of hostnames which have the attribute hRt set.
      Returns:
        the number of hostnames which have the attribute hRt set.

    - #### isSetHRt

          boolean isSetHRt(java.lang.String hostname)

      Determine if any hRt attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hRt attribute is set

    - #### putHRt

          void putHRt(java.lang.String hostname,
                      java.lang.String hRt)

      Put the attribute hRt for `hostname`.

      Parameters:
        `hostname` - the hostname
        `hRt` - the hRt

    - #### setDefaultHRt

          void setDefaultHRt(java.lang.String hRt)

      Set `hRt` attribute for the default `hostname` (@/).
      Parameters:
        `hRt` - the hRt attribute

    - #### removeHRt

          java.lang.String removeHRt(java.lang.String hostname)

      remove the attribute hRt for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllHRt

          void removeAllHRt()

      Remove the attribute hRt for all hostnames.

    - #### isSetHRt

          boolean isSetHRt()

      Determine if any hRt attribute is set
      Returns:
        `true` if the hRt attribute is set

    - #### getDefaultSCpu

          java.lang.String getDefaultSCpu()

      Get the default value of the attribute sCpu.

      Returns:
        the default value of the attribute sCpu
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSCpu

          java.lang.String getSCpu(java.lang.String hostname)

      Get the sCpu attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the sCpu attribute for `hostname` or the default value of sCpu

    - #### getSCpuKeys

          java.util.Set<java.lang.String> getSCpuKeys()

      Get the set of `hostname`s which have the attribute sCpu set.
      Returns:
        set of `hostname`s

    - #### getSCpuCount

          int getSCpuCount()

      Get the number of hostnames which have the attribute sCpu set.
      Returns:
        the number of hostnames which have the attribute sCpu set.

    - #### isSetSCpu

          boolean isSetSCpu(java.lang.String hostname)

      Determine if any sCpu attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the sCpu attribute is set

    - #### putSCpu

          void putSCpu(java.lang.String hostname,
                       java.lang.String sCpu)

      Put the attribute sCpu for `hostname`.

      Parameters:
        `hostname` - the hostname
        `sCpu` - the sCpu

    - #### setDefaultSCpu

          void setDefaultSCpu(java.lang.String sCpu)

      Set `sCpu` attribute for the default `hostname` (@/).
      Parameters:
        `sCpu` - the sCpu attribute

    - #### removeSCpu

          java.lang.String removeSCpu(java.lang.String hostname)

      remove the attribute sCpu for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSCpu

          void removeAllSCpu()

      Remove the attribute sCpu for all hostnames.

    - #### isSetSCpu

          boolean isSetSCpu()

      Determine if any sCpu attribute is set
      Returns:
        `true` if the sCpu attribute is set

    - #### getDefaultHCpu

          java.lang.String getDefaultHCpu()

      Get the default value of the attribute hCpu.

      Returns:
        the default value of the attribute hCpu
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getHCpu

          java.lang.String getHCpu(java.lang.String hostname)

      Get the hCpu attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the hCpu attribute for `hostname` or the default value of hCpu

    - #### getHCpuKeys

          java.util.Set<java.lang.String> getHCpuKeys()

      Get the set of `hostname`s which have the attribute hCpu set.
      Returns:
        set of `hostname`s

    - #### getHCpuCount

          int getHCpuCount()

      Get the number of hostnames which have the attribute hCpu set.
      Returns:
        the number of hostnames which have the attribute hCpu set.

    - #### isSetHCpu

          boolean isSetHCpu(java.lang.String hostname)

      Determine if any hCpu attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the hCpu attribute is set

    - #### putHCpu

          void putHCpu(java.lang.String hostname,
                       java.lang.String hCpu)

      Put the attribute hCpu for `hostname`.

      Parameters:
        `hostname` - the hostname
        `hCpu` - the hCpu

    - #### setDefaultHCpu

          void setDefaultHCpu(java.lang.String hCpu)

      Set `hCpu` attribute for the default `hostname` (@/).
      Parameters:
        `hCpu` - the hCpu attribute

    - #### removeHCpu

          java.lang.String removeHCpu(java.lang.String hostname)

      remove the attribute hCpu for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllHCpu

          void removeAllHCpu()

      Remove the attribute hCpu for all hostnames.

    - #### isSetHCpu

          boolean isSetHCpu()

      Determine if any hCpu attribute is set
      Returns:
        `true` if the hCpu attribute is set

    - #### getDefaultSuspendInterval

          java.lang.String getDefaultSuspendInterval()

      Get the default value of the attribute suspendInterval.

      Returns:
        the default value of the attribute suspendInterval
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSuspendInterval

          java.lang.String getSuspendInterval(java.lang.String hostname)

      Get the suspendInterval attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the suspendInterval attribute for `hostname` or the default value of suspendInterval

    - #### getSuspendIntervalKeys

          java.util.Set<java.lang.String> getSuspendIntervalKeys()

      Get the set of `hostname`s which have the attribute suspendInterval set.
      Returns:
        set of `hostname`s

    - #### getSuspendIntervalCount

          int getSuspendIntervalCount()

      Get the number of hostnames which have the attribute suspendInterval set.
      Returns:
        the number of hostnames which have the attribute suspendInterval set.

    - #### isSetSuspendInterval

          boolean isSetSuspendInterval(java.lang.String hostname)

      Determine if any suspendInterval attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the suspendInterval attribute is set

    - #### putSuspendInterval

          void putSuspendInterval(java.lang.String hostname,
                                  java.lang.String suspendInterval)

      Put the attribute suspendInterval for `hostname`.

      Parameters:
        `hostname` - the hostname
        `suspendInterval` - the suspendInterval

    - #### setDefaultSuspendInterval

          void setDefaultSuspendInterval(java.lang.String suspendInterval)

      Set `suspendInterval` attribute for the default `hostname` (@/).
      Parameters:
        `suspendInterval` - the suspendInterval attribute

    - #### removeSuspendInterval

          java.lang.String removeSuspendInterval(java.lang.String hostname)

      remove the attribute suspendInterval for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSuspendInterval

          void removeAllSuspendInterval()

      Remove the attribute suspendInterval for all hostnames.

    - #### isSetSuspendInterval

          boolean isSetSuspendInterval()

      Determine if any suspendInterval attribute is set
      Returns:
        `true` if the suspendInterval attribute is set

    - #### getDefaultMinCpuInterval

          java.lang.String getDefaultMinCpuInterval()

      Get the default value of the attribute minCpuInterval.

      Returns:
        the default value of the attribute minCpuInterval
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getMinCpuInterval

          java.lang.String getMinCpuInterval(java.lang.String hostname)

      Get the minCpuInterval attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the minCpuInterval attribute for `hostname` or the default value of minCpuInterval

    - #### getMinCpuIntervalKeys

          java.util.Set<java.lang.String> getMinCpuIntervalKeys()

      Get the set of `hostname`s which have the attribute minCpuInterval set.
      Returns:
        set of `hostname`s

    - #### getMinCpuIntervalCount

          int getMinCpuIntervalCount()

      Get the number of hostnames which have the attribute minCpuInterval set.
      Returns:
        the number of hostnames which have the attribute minCpuInterval set.

    - #### isSetMinCpuInterval

          boolean isSetMinCpuInterval(java.lang.String hostname)

      Determine if any minCpuInterval attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the minCpuInterval attribute is set

    - #### putMinCpuInterval

          void putMinCpuInterval(java.lang.String hostname,
                                 java.lang.String minCpuInterval)

      Put the attribute minCpuInterval for `hostname`.

      Parameters:
        `hostname` - the hostname
        `minCpuInterval` - the minCpuInterval

    - #### setDefaultMinCpuInterval

          void setDefaultMinCpuInterval(java.lang.String minCpuInterval)

      Set `minCpuInterval` attribute for the default `hostname` (@/).
      Parameters:
        `minCpuInterval` - the minCpuInterval attribute

    - #### removeMinCpuInterval

          java.lang.String removeMinCpuInterval(java.lang.String hostname)

      remove the attribute minCpuInterval for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllMinCpuInterval

          void removeAllMinCpuInterval()

      Remove the attribute minCpuInterval for all hostnames.

    - #### isSetMinCpuInterval

          boolean isSetMinCpuInterval()

      Determine if any minCpuInterval attribute is set
      Returns:
        `true` if the minCpuInterval attribute is set

    - #### getDefaultNotify

          java.lang.String getDefaultNotify()

      Get the default value of the attribute notify.

      Returns:
        the default value of the attribute notify
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getNotify

          java.lang.String getNotify(java.lang.String hostname)

      Get the notify attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the notify attribute for `hostname` or the default value of notify

    - #### getNotifyKeys

          java.util.Set<java.lang.String> getNotifyKeys()

      Get the set of `hostname`s which have the attribute notify set.
      Returns:
        set of `hostname`s

    - #### getNotifyCount

          int getNotifyCount()

      Get the number of hostnames which have the attribute notify set.
      Returns:
        the number of hostnames which have the attribute notify set.

    - #### isSetNotify

          boolean isSetNotify(java.lang.String hostname)

      Determine if any notify attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the notify attribute is set

    - #### putNotify

          void putNotify(java.lang.String hostname,
                         java.lang.String notify)

      Put the attribute notify for `hostname`.

      Parameters:
        `hostname` - the hostname
        `notify` - the notify

    - #### setDefaultNotify

          void setDefaultNotify(java.lang.String notify)

      Set `notify` attribute for the default `hostname` (@/).
      Parameters:
        `notify` - the notify attribute

    - #### removeNotify

          java.lang.String removeNotify(java.lang.String hostname)

      remove the attribute notify for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllNotify

          void removeAllNotify()

      Remove the attribute notify for all hostnames.

    - #### isSetNotify

          boolean isSetNotify()

      Determine if any notify attribute is set
      Returns:
        `true` if the notify attribute is set

    - #### getDefaultTmpdir

          java.lang.String getDefaultTmpdir()

      Get the default value of the attribute tmpdir.

      Returns:
        the default value of the attribute tmpdir
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getTmpdir

          java.lang.String getTmpdir(java.lang.String hostname)

      Get the tmpdir attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the tmpdir attribute for `hostname` or the default value of tmpdir

    - #### getTmpdirKeys

          java.util.Set<java.lang.String> getTmpdirKeys()

      Get the set of `hostname`s which have the attribute tmpdir set.
      Returns:
        set of `hostname`s

    - #### getTmpdirCount

          int getTmpdirCount()

      Get the number of hostnames which have the attribute tmpdir set.
      Returns:
        the number of hostnames which have the attribute tmpdir set.

    - #### isSetTmpdir

          boolean isSetTmpdir(java.lang.String hostname)

      Determine if any tmpdir attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the tmpdir attribute is set

    - #### putTmpdir

          void putTmpdir(java.lang.String hostname,
                         java.lang.String tmpDir)

      Put the attribute tmpdir for `hostname`.

      Parameters:
        `hostname` - the hostname
        `tmpDir` - the tmpDir

    - #### setDefaultTmpdir

          void setDefaultTmpdir(java.lang.String tmpDir)

      Set `tmpDir` attribute for the default `hostname` (@/).
      Parameters:
        `tmpDir` - the tmpDir attribute

    - #### removeTmpdir

          java.lang.String removeTmpdir(java.lang.String hostname)

      remove the attribute tmpdir for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllTmpdir

          void removeAllTmpdir()

      Remove the attribute tmpdir for all hostnames.

    - #### isSetTmpdir

          boolean isSetTmpdir()

      Determine if any tmpdir attribute is set
      Returns:
        `true` if the tmpdir attribute is set

    - #### getDefaultShell

          java.lang.String getDefaultShell()

      Get the default value of the attribute shell.

      Returns:
        the default value of the attribute shell
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getShell

          java.lang.String getShell(java.lang.String hostname)

      Get the shell attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the shell attribute for `hostname` or the default value of shell

    - #### getShellKeys

          java.util.Set<java.lang.String> getShellKeys()

      Get the set of `hostname`s which have the attribute shell set.
      Returns:
        set of `hostname`s

    - #### getShellCount

          int getShellCount()

      Get the number of hostnames which have the attribute shell set.
      Returns:
        the number of hostnames which have the attribute shell set.

    - #### isSetShell

          boolean isSetShell(java.lang.String hostname)

      Determine if any shell attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the shell attribute is set

    - #### putShell

          void putShell(java.lang.String hostname,
                        java.lang.String shell)

      Put the attribute shell for `hostname`.

      Parameters:
        `hostname` - the hostname
        `shell` - the shell

    - #### setDefaultShell

          void setDefaultShell(java.lang.String shell)

      Set `shell` attribute for the default `hostname` (@/).
      Parameters:
        `shell` - the shell attribute

    - #### removeShell

          java.lang.String removeShell(java.lang.String hostname)

      remove the attribute shell for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllShell

          void removeAllShell()

      Remove the attribute shell for all hostnames.

    - #### isSetShell

          boolean isSetShell()

      Determine if any shell attribute is set
      Returns:
        `true` if the shell attribute is set

    - #### getDefaultCalendar

          java.lang.String getDefaultCalendar()

      Get the default value of the attribute calendar.

      Returns:
        the default value of the attribute calendar
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getCalendar

          java.lang.String getCalendar(java.lang.String hostname)

      Get the calendar attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the calendar attribute for `hostname` or the default value of calendar

    - #### getCalendarKeys

          java.util.Set<java.lang.String> getCalendarKeys()

      Get the set of `hostname`s which have the attribute calendar set.
      Returns:
        set of `hostname`s

    - #### getCalendarCount

          int getCalendarCount()

      Get the number of hostnames which have the attribute calendar set.
      Returns:
        the number of hostnames which have the attribute calendar set.

    - #### isSetCalendar

          boolean isSetCalendar(java.lang.String hostname)

      Determine if any calendar attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the calendar attribute is set

    - #### putCalendar

          void putCalendar(java.lang.String hostname,
                           java.lang.String calendar)

      Put the attribute calendar for `hostname`.

      Parameters:
        `hostname` - the hostname
        `calendar` - the calendar

    - #### setDefaultCalendar

          void setDefaultCalendar(java.lang.String calendar)

      Set `calendar` attribute for the default `hostname` (@/).
      Parameters:
        `calendar` - the calendar attribute

    - #### removeCalendar

          java.lang.String removeCalendar(java.lang.String hostname)

      remove the attribute calendar for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllCalendar

          void removeAllCalendar()

      Remove the attribute calendar for all hostnames.

    - #### isSetCalendar

          boolean isSetCalendar()

      Determine if any calendar attribute is set
      Returns:
        `true` if the calendar attribute is set

    - #### getDefaultPriority

          java.lang.String getDefaultPriority()

      Get the default value of the attribute priority.

      Returns:
        the default value of the attribute priority
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getPriority

          java.lang.String getPriority(java.lang.String hostname)

      Get the priority attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the priority attribute for `hostname` or the default value of priority

    - #### getPriorityKeys

          java.util.Set<java.lang.String> getPriorityKeys()

      Get the set of `hostname`s which have the attribute priority set.
      Returns:
        set of `hostname`s

    - #### getPriorityCount

          int getPriorityCount()

      Get the number of hostnames which have the attribute priority set.
      Returns:
        the number of hostnames which have the attribute priority set.

    - #### isSetPriority

          boolean isSetPriority(java.lang.String hostname)

      Determine if any priority attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the priority attribute is set

    - #### putPriority

          void putPriority(java.lang.String hostname,
                           java.lang.String priority)

      Put the attribute priority for `hostname`.

      Parameters:
        `hostname` - the hostname
        `priority` - the priority

    - #### setDefaultPriority

          void setDefaultPriority(java.lang.String priority)

      Set `priority` attribute for the default `hostname` (@/).
      Parameters:
        `priority` - the priority attribute

    - #### removePriority

          java.lang.String removePriority(java.lang.String hostname)

      remove the attribute priority for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllPriority

          void removeAllPriority()

      Remove the attribute priority for all hostnames.

    - #### isSetPriority

          boolean isSetPriority()

      Determine if any priority attribute is set
      Returns:
        `true` if the priority attribute is set

    - #### getDefaultProcessors

          java.lang.String getDefaultProcessors()

      Get the default value of the attribute processors.

      Returns:
        the default value of the attribute processors
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getProcessors

          java.lang.String getProcessors(java.lang.String hostname)

      Get the processors attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the processors attribute for `hostname` or the default value of processors

    - #### getProcessorsKeys

          java.util.Set<java.lang.String> getProcessorsKeys()

      Get the set of `hostname`s which have the attribute processors set.
      Returns:
        set of `hostname`s

    - #### getProcessorsCount

          int getProcessorsCount()

      Get the number of hostnames which have the attribute processors set.
      Returns:
        the number of hostnames which have the attribute processors set.

    - #### isSetProcessors

          boolean isSetProcessors(java.lang.String hostname)

      Determine if any processors attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the processors attribute is set

    - #### putProcessors

          void putProcessors(java.lang.String hostname,
                             java.lang.String processors)

      Put the attribute processors for `hostname`.

      Parameters:
        `hostname` - the hostname
        `processors` - the processors

    - #### setDefaultProcessors

          void setDefaultProcessors(java.lang.String processors)

      Set `processors` attribute for the default `hostname` (@/).
      Parameters:
        `processors` - the processors attribute

    - #### removeProcessors

          java.lang.String removeProcessors(java.lang.String hostname)

      remove the attribute processors for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllProcessors

          void removeAllProcessors()

      Remove the attribute processors for all hostnames.

    - #### isSetProcessors

          boolean isSetProcessors()

      Determine if any processors attribute is set
      Returns:
        `true` if the processors attribute is set

    - #### getDefaultProlog

          java.lang.String getDefaultProlog()

      Get the default value of the attribute prolog.

      Returns:
        the default value of the attribute prolog
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getProlog

          java.lang.String getProlog(java.lang.String hostname)

      Get the prolog attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the prolog attribute for `hostname` or the default value of prolog

    - #### getPrologKeys

          java.util.Set<java.lang.String> getPrologKeys()

      Get the set of `hostname`s which have the attribute prolog set.
      Returns:
        set of `hostname`s

    - #### getPrologCount

          int getPrologCount()

      Get the number of hostnames which have the attribute prolog set.
      Returns:
        the number of hostnames which have the attribute prolog set.

    - #### isSetProlog

          boolean isSetProlog(java.lang.String hostname)

      Determine if any prolog attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the prolog attribute is set

    - #### putProlog

          void putProlog(java.lang.String hostname,
                         java.lang.String prolog)

      Put the attribute prolog for `hostname`.

      Parameters:
        `hostname` - the hostname
        `prolog` - the prolog

    - #### setDefaultProlog

          void setDefaultProlog(java.lang.String prolog)

      Set `prolog` attribute for the default `hostname` (@/).
      Parameters:
        `prolog` - the prolog attribute

    - #### removeProlog

          java.lang.String removeProlog(java.lang.String hostname)

      remove the attribute prolog for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllProlog

          void removeAllProlog()

      Remove the attribute prolog for all hostnames.

    - #### isSetProlog

          boolean isSetProlog()

      Determine if any prolog attribute is set
      Returns:
        `true` if the prolog attribute is set

    - #### getDefaultEpilog

          java.lang.String getDefaultEpilog()

      Get the default value of the attribute epilog.

      Returns:
        the default value of the attribute epilog
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getEpilog

          java.lang.String getEpilog(java.lang.String hostname)

      Get the epilog attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the epilog attribute for `hostname` or the default value of epilog

    - #### getEpilogKeys

          java.util.Set<java.lang.String> getEpilogKeys()

      Get the set of `hostname`s which have the attribute epilog set.
      Returns:
        set of `hostname`s

    - #### getEpilogCount

          int getEpilogCount()

      Get the number of hostnames which have the attribute epilog set.
      Returns:
        the number of hostnames which have the attribute epilog set.

    - #### isSetEpilog

          boolean isSetEpilog(java.lang.String hostname)

      Determine if any epilog attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the epilog attribute is set

    - #### putEpilog

          void putEpilog(java.lang.String hostname,
                         java.lang.String epilog)

      Put the attribute epilog for `hostname`.

      Parameters:
        `hostname` - the hostname
        `epilog` - the epilog

    - #### setDefaultEpilog

          void setDefaultEpilog(java.lang.String epilog)

      Set `epilog` attribute for the default `hostname` (@/).
      Parameters:
        `epilog` - the epilog attribute

    - #### removeEpilog

          java.lang.String removeEpilog(java.lang.String hostname)

      remove the attribute epilog for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllEpilog

          void removeAllEpilog()

      Remove the attribute epilog for all hostnames.

    - #### isSetEpilog

          boolean isSetEpilog()

      Determine if any epilog attribute is set
      Returns:
        `true` if the epilog attribute is set

    - #### getDefaultShellStartMode

          java.lang.String getDefaultShellStartMode()

      Get the default value of the attribute shellStartMode.

      Returns:
        the default value of the attribute shellStartMode
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getShellStartMode

          java.lang.String getShellStartMode(java.lang.String hostname)

      Get the shellStartMode attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the shellStartMode attribute for `hostname` or the default value of shellStartMode

    - #### getShellStartModeKeys

          java.util.Set<java.lang.String> getShellStartModeKeys()

      Get the set of `hostname`s which have the attribute shellStartMode set.
      Returns:
        set of `hostname`s

    - #### getShellStartModeCount

          int getShellStartModeCount()

      Get the number of hostnames which have the attribute shellStartMode set.
      Returns:
        the number of hostnames which have the attribute shellStartMode set.

    - #### isSetShellStartMode

          boolean isSetShellStartMode(java.lang.String hostname)

      Determine if any shellStartMode attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the shellStartMode attribute is set

    - #### putShellStartMode

          void putShellStartMode(java.lang.String hostname,
                                 java.lang.String shellStartMode)

      Put the attribute shellStartMode for `hostname`.

      Parameters:
        `hostname` - the hostname
        `shellStartMode` - the shellStartMode

    - #### setDefaultShellStartMode

          void setDefaultShellStartMode(java.lang.String shellStartMode)

      Set `shellStartMode` attribute for the default `hostname` (@/).
      Parameters:
        `shellStartMode` - the shellStartMode attribute

    - #### removeShellStartMode

          java.lang.String removeShellStartMode(java.lang.String hostname)

      remove the attribute shellStartMode for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllShellStartMode

          void removeAllShellStartMode()

      Remove the attribute shellStartMode for all hostnames.

    - #### isSetShellStartMode

          boolean isSetShellStartMode()

      Determine if any shellStartMode attribute is set
      Returns:
        `true` if the shellStartMode attribute is set

    - #### getDefaultStarterMethod

          java.lang.String getDefaultStarterMethod()

      Get the default value of the attribute starterMethod.

      Returns:
        the default value of the attribute starterMethod
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getStarterMethod

          java.lang.String getStarterMethod(java.lang.String hostname)

      Get the starterMethod attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the starterMethod attribute for `hostname` or the default value of starterMethod

    - #### getStarterMethodKeys

          java.util.Set<java.lang.String> getStarterMethodKeys()

      Get the set of `hostname`s which have the attribute starterMethod set.
      Returns:
        set of `hostname`s

    - #### getStarterMethodCount

          int getStarterMethodCount()

      Get the number of hostnames which have the attribute starterMethod set.
      Returns:
        the number of hostnames which have the attribute starterMethod set.

    - #### isSetStarterMethod

          boolean isSetStarterMethod(java.lang.String hostname)

      Determine if any starterMethod attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the starterMethod attribute is set

    - #### putStarterMethod

          void putStarterMethod(java.lang.String hostname,
                                java.lang.String starterMethod)

      Put the attribute starterMethod for `hostname`.

      Parameters:
        `hostname` - the hostname
        `starterMethod` - the starterMethod

    - #### setDefaultStarterMethod

          void setDefaultStarterMethod(java.lang.String starterMethod)

      Set `starterMethod` attribute for the default `hostname` (@/).
      Parameters:
        `starterMethod` - the starterMethod attribute

    - #### removeStarterMethod

          java.lang.String removeStarterMethod(java.lang.String hostname)

      remove the attribute starterMethod for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllStarterMethod

          void removeAllStarterMethod()

      Remove the attribute starterMethod for all hostnames.

    - #### isSetStarterMethod

          boolean isSetStarterMethod()

      Determine if any starterMethod attribute is set
      Returns:
        `true` if the starterMethod attribute is set

    - #### getDefaultSuspendMethod

          java.lang.String getDefaultSuspendMethod()

      Get the default value of the attribute suspendMethod.

      Returns:
        the default value of the attribute suspendMethod
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getSuspendMethod

          java.lang.String getSuspendMethod(java.lang.String hostname)

      Get the suspendMethod attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the suspendMethod attribute for `hostname` or the default value of suspendMethod

    - #### getSuspendMethodKeys

          java.util.Set<java.lang.String> getSuspendMethodKeys()

      Get the set of `hostname`s which have the attribute suspendMethod set.
      Returns:
        set of `hostname`s

    - #### getSuspendMethodCount

          int getSuspendMethodCount()

      Get the number of hostnames which have the attribute suspendMethod set.
      Returns:
        the number of hostnames which have the attribute suspendMethod set.

    - #### isSetSuspendMethod

          boolean isSetSuspendMethod(java.lang.String hostname)

      Determine if any suspendMethod attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the suspendMethod attribute is set

    - #### putSuspendMethod

          void putSuspendMethod(java.lang.String hostname,
                                java.lang.String suspendMethod)

      Put the attribute suspendMethod for `hostname`.

      Parameters:
        `hostname` - the hostname
        `suspendMethod` - the suspendMethod

    - #### setDefaultSuspendMethod

          void setDefaultSuspendMethod(java.lang.String suspendMethod)

      Set `suspendMethod` attribute for the default `hostname` (@/).
      Parameters:
        `suspendMethod` - the suspendMethod attribute

    - #### removeSuspendMethod

          java.lang.String removeSuspendMethod(java.lang.String hostname)

      remove the attribute suspendMethod for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllSuspendMethod

          void removeAllSuspendMethod()

      Remove the attribute suspendMethod for all hostnames.

    - #### isSetSuspendMethod

          boolean isSetSuspendMethod()

      Determine if any suspendMethod attribute is set
      Returns:
        `true` if the suspendMethod attribute is set

    - #### getDefaultResumeMethod

          java.lang.String getDefaultResumeMethod()

      Get the default value of the attribute resumeMethod.

      Returns:
        the default value of the attribute resumeMethod
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getResumeMethod

          java.lang.String getResumeMethod(java.lang.String hostname)

      Get the resumeMethod attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the resumeMethod attribute for `hostname` or the default value of resumeMethod

    - #### getResumeMethodKeys

          java.util.Set<java.lang.String> getResumeMethodKeys()

      Get the set of `hostname`s which have the attribute resumeMethod set.
      Returns:
        set of `hostname`s

    - #### getResumeMethodCount

          int getResumeMethodCount()

      Get the number of hostnames which have the attribute resumeMethod set.
      Returns:
        the number of hostnames which have the attribute resumeMethod set.

    - #### isSetResumeMethod

          boolean isSetResumeMethod(java.lang.String hostname)

      Determine if any resumeMethod attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the resumeMethod attribute is set

    - #### putResumeMethod

          void putResumeMethod(java.lang.String hostname,
                               java.lang.String resumeMethod)

      Put the attribute resumeMethod for `hostname`.

      Parameters:
        `hostname` - the hostname
        `resumeMethod` - the resumeMethod

    - #### setDefaultResumeMethod

          void setDefaultResumeMethod(java.lang.String resumeMethod)

      Set `resumeMethod` attribute for the default `hostname` (@/).
      Parameters:
        `resumeMethod` - the resumeMethod attribute

    - #### removeResumeMethod

          java.lang.String removeResumeMethod(java.lang.String hostname)

      remove the attribute resumeMethod for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllResumeMethod

          void removeAllResumeMethod()

      Remove the attribute resumeMethod for all hostnames.

    - #### isSetResumeMethod

          boolean isSetResumeMethod()

      Determine if any resumeMethod attribute is set
      Returns:
        `true` if the resumeMethod attribute is set

    - #### getDefaultTerminateMethod

          java.lang.String getDefaultTerminateMethod()

      Get the default value of the attribute terminateMethod.

      Returns:
        the default value of the attribute terminateMethod
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getTerminateMethod

          java.lang.String getTerminateMethod(java.lang.String hostname)

      Get the terminateMethod attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the terminateMethod attribute for `hostname` or the default value of terminateMethod

    - #### getTerminateMethodKeys

          java.util.Set<java.lang.String> getTerminateMethodKeys()

      Get the set of `hostname`s which have the attribute terminateMethod set.
      Returns:
        set of `hostname`s

    - #### getTerminateMethodCount

          int getTerminateMethodCount()

      Get the number of hostnames which have the attribute terminateMethod set.
      Returns:
        the number of hostnames which have the attribute terminateMethod set.

    - #### isSetTerminateMethod

          boolean isSetTerminateMethod(java.lang.String hostname)

      Determine if any terminateMethod attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the terminateMethod attribute is set

    - #### putTerminateMethod

          void putTerminateMethod(java.lang.String hostname,
                                  java.lang.String terminateMethod)

      Put the attribute terminateMethod for `hostname`.

      Parameters:
        `hostname` - the hostname
        `terminateMethod` - the terminateMethod

    - #### setDefaultTerminateMethod

          void setDefaultTerminateMethod(java.lang.String terminateMethod)

      Set `terminateMethod` attribute for the default `hostname` (@/).
      Parameters:
        `terminateMethod` - the terminateMethod attribute

    - #### removeTerminateMethod

          java.lang.String removeTerminateMethod(java.lang.String hostname)

      remove the attribute terminateMethod for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllTerminateMethod

          void removeAllTerminateMethod()

      Remove the attribute terminateMethod for all hostnames.

    - #### isSetTerminateMethod

          boolean isSetTerminateMethod()

      Determine if any terminateMethod attribute is set
      Returns:
        `true` if the terminateMethod attribute is set

    - #### getDefaultInitialState

          java.lang.String getDefaultInitialState()

      Get the default value of the attribute initialState.

      Returns:
        the default value of the attribute initialState
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getInitialState

          java.lang.String getInitialState(java.lang.String hostname)

      Get the initialState attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the initialState attribute for `hostname` or the default value of initialState

    - #### getInitialStateKeys

          java.util.Set<java.lang.String> getInitialStateKeys()

      Get the set of `hostname`s which have the attribute initialState set.
      Returns:
        set of `hostname`s

    - #### getInitialStateCount

          int getInitialStateCount()

      Get the number of hostnames which have the attribute initialState set.
      Returns:
        the number of hostnames which have the attribute initialState set.

    - #### isSetInitialState

          boolean isSetInitialState(java.lang.String hostname)

      Determine if any initialState attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the initialState attribute is set

    - #### putInitialState

          void putInitialState(java.lang.String hostname,
                               java.lang.String initialState)

      Put the attribute initialState for `hostname`.

      Parameters:
        `hostname` - the hostname
        `initialState` - the initialState

    - #### setDefaultInitialState

          void setDefaultInitialState(java.lang.String initialState)

      Set `initialState` attribute for the default `hostname` (@/).
      Parameters:
        `initialState` - the initialState attribute

    - #### removeInitialState

          java.lang.String removeInitialState(java.lang.String hostname)

      remove the attribute initialState for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllInitialState

          void removeAllInitialState()

      Remove the attribute initialState for all hostnames.

    - #### isSetInitialState

          boolean isSetInitialState()

      Determine if any initialState attribute is set
      Returns:
        `true` if the initialState attribute is set

    - #### getPe

          java.lang.String getPe(java.lang.String hostname,
                                 int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getPeCount

          int getPeCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getPeKeys

          java.util.Set<java.lang.String> getPeKeys()

      Get a unmodifiable set of stored pe attribute keys.
      Returns:
        unmodifiable set of stored pe attribute keys

    - #### getDefaultPe

          java.lang.String getDefaultPe(int index)

      Get the default value of the attribute pe. (@/)

      Returns:
        the default value of the attribute pe
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultPeCount

          int getDefaultPeCount()

      Get the number of values for the default `hostname` (@/).

    - #### getPeList

          java.util.List<java.lang.String> getPeList(java.lang.String hostname)

      Get an unmodifiable list of pe attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of pe attributes

    - #### addPe

          void addPe(java.lang.String hostname,
                     java.lang.String pe)

      Add `pe` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `pe` - the pe attribute

    - #### addEmptyPe

          void addEmptyPe(java.lang.String hostname)

      Initialize `pe` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setPe

          void setPe(java.lang.String hostname,
                     int index,
                     java.lang.String pe)

      Set `pe` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the pe attribute
        `pe` - the pe attribute

    - #### removePeAt

          java.lang.Object removePeAt(java.lang.String hostname,
                                      int index)

      Remove `pe` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the pe attribute
      Returns:
        the remove pe attribute of `null` if the attribute has not been found

    - #### removePe

          boolean removePe(java.lang.String hostname,
                           java.lang.String pe)

      Remove `pe` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `pe` - the pe) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllPe

          void removeAllPe(java.lang.String hostname)

      Remove all `pe` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultPe

          void addDefaultPe(java.lang.String pe)

      Add `pe` attribute to the default `hostname` (@/).
      Parameters:
        `pe` - the pe attribute

    - #### setDefaultPe

          void setDefaultPe(int index,
                            java.lang.String pe)

      Set `pe` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the pe attribute
        `pe` - the pe attribute

    - #### removeDefaultPeAt

          java.lang.Object removeDefaultPeAt(java.lang.String hostname,
                                             int index)

      Remove `pe` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the pe attribute
      Returns:
        the remove pe attribute of `null` if the attribute has not been found

    - #### removeDefaultPe

          boolean removeDefaultPe(java.lang.String hostname,
                                  java.lang.String pe)

      Remove `pe` attribute from the default `hostname` (@/).
      Parameters:
        `pe` - the pe) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultPe

          void removeAllDefaultPe()

      Remove all pe) attributes from the default `hostname` (@/).

    - #### removeAllPe

          void removeAllPe()

      Remove all pe) attributes.

    - #### isSetPe

          boolean isSetPe()

      Determine if any pe attribute is set
      Returns:
        `true` if the pe attribute is set

    - #### getCkpt

          java.lang.String getCkpt(java.lang.String hostname,
                                   int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getCkptCount

          int getCkptCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getCkptKeys

          java.util.Set<java.lang.String> getCkptKeys()

      Get a unmodifiable set of stored ckpt attribute keys.
      Returns:
        unmodifiable set of stored ckpt attribute keys

    - #### getDefaultCkpt

          java.lang.String getDefaultCkpt(int index)

      Get the default value of the attribute ckpt. (@/)

      Returns:
        the default value of the attribute ckpt
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultCkptCount

          int getDefaultCkptCount()

      Get the number of values for the default `hostname` (@/).

    - #### getCkptList

          java.util.List<java.lang.String> getCkptList(java.lang.String hostname)

      Get an unmodifiable list of ckpt attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of ckpt attributes

    - #### addCkpt

          void addCkpt(java.lang.String hostname,
                       java.lang.String checkpoint)

      Add `checkpoint` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `checkpoint` - the checkpoint attribute

    - #### addEmptyCkpt

          void addEmptyCkpt(java.lang.String hostname)

      Initialize `checkpoint` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setCkpt

          void setCkpt(java.lang.String hostname,
                       int index,
                       java.lang.String checkpoint)

      Set `checkpoint` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the checkpoint attribute
        `checkpoint` - the checkpoint attribute

    - #### removeCkptAt

          java.lang.Object removeCkptAt(java.lang.String hostname,
                                        int index)

      Remove `checkpoint` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the checkpoint attribute
      Returns:
        the remove checkpoint attribute of `null` if the attribute has not been found

    - #### removeCkpt

          boolean removeCkpt(java.lang.String hostname,
                             java.lang.String checkpoint)

      Remove `checkpoint` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `checkpoint` - the checkpoint) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllCkpt

          void removeAllCkpt(java.lang.String hostname)

      Remove all `checkpoint` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultCkpt

          void addDefaultCkpt(java.lang.String checkpoint)

      Add `checkpoint` attribute to the default `hostname` (@/).
      Parameters:
        `checkpoint` - the checkpoint attribute

    - #### setDefaultCkpt

          void setDefaultCkpt(int index,
                              java.lang.String checkpoint)

      Set `checkpoint` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the checkpoint attribute
        `checkpoint` - the checkpoint attribute

    - #### removeDefaultCkptAt

          java.lang.Object removeDefaultCkptAt(java.lang.String hostname,
                                               int index)

      Remove `checkpoint` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the checkpoint attribute
      Returns:
        the remove checkpoint attribute of `null` if the attribute has not been found

    - #### removeDefaultCkpt

          boolean removeDefaultCkpt(java.lang.String hostname,
                                    java.lang.String checkpoint)

      Remove `checkpoint` attribute from the default `hostname` (@/).
      Parameters:
        `checkpoint` - the checkpoint) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultCkpt

          void removeAllDefaultCkpt()

      Remove all checkpoint) attributes from the default `hostname` (@/).

    - #### removeAllCkpt

          void removeAllCkpt()

      Remove all checkpoint) attributes.

    - #### isSetCkpt

          boolean isSetCkpt()

      Determine if any ckpt attribute is set
      Returns:
        `true` if the ckpt attribute is set

    - #### getOwner

          UserSet getOwner(java.lang.String hostname,
                           int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getOwnerCount

          int getOwnerCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getOwnerKeys

          java.util.Set<java.lang.String> getOwnerKeys()

      Get a unmodifiable set of stored owner attribute keys.
      Returns:
        unmodifiable set of stored owner attribute keys

    - #### getDefaultOwner

          UserSet getDefaultOwner(int index)

      Get the default value of the attribute owner. (@/)

      Returns:
        the default value of the attribute owner
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultOwnerCount

          int getDefaultOwnerCount()

      Get the number of values for the default `hostname` (@/).

    - #### getOwnerList

          java.util.List<java.lang.String> getOwnerList(java.lang.String hostname)

      Get an unmodifiable list of owner attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of owner attributes

    - #### addOwner

          void addOwner(java.lang.String hostname,
                        UserSet owner)

      Add `owner` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `owner` - the owner attribute

    - #### addEmptyOwner

          void addEmptyOwner(java.lang.String hostname)

      Initialize `owner` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setOwner

          void setOwner(java.lang.String hostname,
                        int index,
                        UserSet owner)

      Set `owner` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the owner attribute
        `owner` - the owner attribute

    - #### removeOwnerAt

          java.lang.Object removeOwnerAt(java.lang.String hostname,
                                         int index)

      Remove `owner` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the owner attribute
      Returns:
        the remove owner attribute of `null` if the attribute has not been found

    - #### removeOwner

          boolean removeOwner(java.lang.String hostname,
                              UserSet owner)

      Remove `owner` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `owner` - the owner) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllOwner

          void removeAllOwner(java.lang.String hostname)

      Remove all `owner` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultOwner

          void addDefaultOwner(UserSet owner)

      Add `owner` attribute to the default `hostname` (@/).
      Parameters:
        `owner` - the owner attribute

    - #### setDefaultOwner

          void setDefaultOwner(int index,
                               UserSet owner)

      Set `owner` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the owner attribute
        `owner` - the owner attribute

    - #### removeDefaultOwnerAt

          java.lang.Object removeDefaultOwnerAt(java.lang.String hostname,
                                                int index)

      Remove `owner` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the owner attribute
      Returns:
        the remove owner attribute of `null` if the attribute has not been found

    - #### removeDefaultOwner

          boolean removeDefaultOwner(java.lang.String hostname,
                                     UserSet owner)

      Remove `owner` attribute from the default `hostname` (@/).
      Parameters:
        `owner` - the owner) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultOwner

          void removeAllDefaultOwner()

      Remove all owner) attributes from the default `hostname` (@/).

    - #### removeAllOwner

          void removeAllOwner()

      Remove all owner) attributes.

    - #### isSetOwner

          boolean isSetOwner()

      Determine if any owner attribute is set
      Returns:
        `true` if the owner attribute is set

    - #### getAcl

          UserSet getAcl(java.lang.String hostname,
                         int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getAclCount

          int getAclCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getAclKeys

          java.util.Set<java.lang.String> getAclKeys()

      Get a unmodifiable set of stored acl attribute keys.
      Returns:
        unmodifiable set of stored acl attribute keys

    - #### getDefaultAcl

          UserSet getDefaultAcl(int index)

      Get the default value of the attribute acl. (@/)

      Returns:
        the default value of the attribute acl
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultAclCount

          int getDefaultAclCount()

      Get the number of values for the default `hostname` (@/).

    - #### getAclList

          java.util.List<java.lang.String> getAclList(java.lang.String hostname)

      Get an unmodifiable list of acl attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of acl attributes

    - #### addAcl

          void addAcl(java.lang.String hostname,
                      UserSet acl)

      Add `acl` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `acl` - the acl attribute

    - #### addEmptyAcl

          void addEmptyAcl(java.lang.String hostname)

      Initialize `acl` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setAcl

          void setAcl(java.lang.String hostname,
                      int index,
                      UserSet acl)

      Set `acl` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the acl attribute
        `acl` - the acl attribute

    - #### removeAclAt

          java.lang.Object removeAclAt(java.lang.String hostname,
                                       int index)

      Remove `acl` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the acl attribute
      Returns:
        the remove acl attribute of `null` if the attribute has not been found

    - #### removeAcl

          boolean removeAcl(java.lang.String hostname,
                            UserSet acl)

      Remove `acl` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `acl` - the acl) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllAcl

          void removeAllAcl(java.lang.String hostname)

      Remove all `acl` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultAcl

          void addDefaultAcl(UserSet acl)

      Add `acl` attribute to the default `hostname` (@/).
      Parameters:
        `acl` - the acl attribute

    - #### setDefaultAcl

          void setDefaultAcl(int index,
                             UserSet acl)

      Set `acl` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the acl attribute
        `acl` - the acl attribute

    - #### removeDefaultAclAt

          java.lang.Object removeDefaultAclAt(java.lang.String hostname,
                                              int index)

      Remove `acl` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the acl attribute
      Returns:
        the remove acl attribute of `null` if the attribute has not been found

    - #### removeDefaultAcl

          boolean removeDefaultAcl(java.lang.String hostname,
                                   UserSet acl)

      Remove `acl` attribute from the default `hostname` (@/).
      Parameters:
        `acl` - the acl) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultAcl

          void removeAllDefaultAcl()

      Remove all acl) attributes from the default `hostname` (@/).

    - #### removeAllAcl

          void removeAllAcl()

      Remove all acl) attributes.

    - #### isSetAcl

          boolean isSetAcl()

      Determine if any acl attribute is set
      Returns:
        `true` if the acl attribute is set

    - #### getXacl

          UserSet getXacl(java.lang.String hostname,
                          int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getXaclCount

          int getXaclCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getXaclKeys

          java.util.Set<java.lang.String> getXaclKeys()

      Get a unmodifiable set of stored xacl attribute keys.
      Returns:
        unmodifiable set of stored xacl attribute keys

    - #### getDefaultXacl

          UserSet getDefaultXacl(int index)

      Get the default value of the attribute xacl. (@/)

      Returns:
        the default value of the attribute xacl
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultXaclCount

          int getDefaultXaclCount()

      Get the number of values for the default `hostname` (@/).

    - #### getXaclList

          java.util.List<java.lang.String> getXaclList(java.lang.String hostname)

      Get an unmodifiable list of xacl attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of xacl attributes

    - #### addXacl

          void addXacl(java.lang.String hostname,
                       UserSet acl)

      Add `acl` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `acl` - the acl attribute

    - #### addEmptyXacl

          void addEmptyXacl(java.lang.String hostname)

      Initialize `acl` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setXacl

          void setXacl(java.lang.String hostname,
                       int index,
                       UserSet acl)

      Set `acl` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the acl attribute
        `acl` - the acl attribute

    - #### removeXaclAt

          java.lang.Object removeXaclAt(java.lang.String hostname,
                                        int index)

      Remove `acl` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the acl attribute
      Returns:
        the remove acl attribute of `null` if the attribute has not been found

    - #### removeXacl

          boolean removeXacl(java.lang.String hostname,
                             UserSet acl)

      Remove `acl` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `acl` - the acl) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllXacl

          void removeAllXacl(java.lang.String hostname)

      Remove all `acl` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultXacl

          void addDefaultXacl(UserSet acl)

      Add `acl` attribute to the default `hostname` (@/).
      Parameters:
        `acl` - the acl attribute

    - #### setDefaultXacl

          void setDefaultXacl(int index,
                              UserSet acl)

      Set `acl` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the acl attribute
        `acl` - the acl attribute

    - #### removeDefaultXaclAt

          java.lang.Object removeDefaultXaclAt(java.lang.String hostname,
                                               int index)

      Remove `acl` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the acl attribute
      Returns:
        the remove acl attribute of `null` if the attribute has not been found

    - #### removeDefaultXacl

          boolean removeDefaultXacl(java.lang.String hostname,
                                    UserSet acl)

      Remove `acl` attribute from the default `hostname` (@/).
      Parameters:
        `acl` - the acl) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultXacl

          void removeAllDefaultXacl()

      Remove all acl) attributes from the default `hostname` (@/).

    - #### removeAllXacl

          void removeAllXacl()

      Remove all acl) attributes.

    - #### isSetXacl

          boolean isSetXacl()

      Determine if any xacl attribute is set
      Returns:
        `true` if the xacl attribute is set

    - #### getProjects

          Project getProjects(java.lang.String hostname,
                              int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getProjectsCount

          int getProjectsCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getProjectsKeys

          java.util.Set<java.lang.String> getProjectsKeys()

      Get a unmodifiable set of stored projects attribute keys.
      Returns:
        unmodifiable set of stored projects attribute keys

    - #### getDefaultProjects

          Project getDefaultProjects(int index)

      Get the default value of the attribute projects. (@/)

      Returns:
        the default value of the attribute projects
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultProjectsCount

          int getDefaultProjectsCount()

      Get the number of values for the default `hostname` (@/).

    - #### getProjectsList

          java.util.List<java.lang.String> getProjectsList(java.lang.String hostname)

      Get an unmodifiable list of projects attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of projects attributes

    - #### addProjects

          void addProjects(java.lang.String hostname,
                           Project project)

      Add `project` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `project` - the project attribute

    - #### addEmptyProjects

          void addEmptyProjects(java.lang.String hostname)

      Initialize `project` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setProjects

          void setProjects(java.lang.String hostname,
                           int index,
                           Project project)

      Set `project` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the project attribute
        `project` - the project attribute

    - #### removeProjectsAt

          java.lang.Object removeProjectsAt(java.lang.String hostname,
                                            int index)

      Remove `project` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the project attribute
      Returns:
        the remove project attribute of `null` if the attribute has not been found

    - #### removeProjects

          boolean removeProjects(java.lang.String hostname,
                                 Project project)

      Remove `project` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `project` - the project) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllProjects

          void removeAllProjects(java.lang.String hostname)

      Remove all `project` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultProjects

          void addDefaultProjects(Project project)

      Add `project` attribute to the default `hostname` (@/).
      Parameters:
        `project` - the project attribute

    - #### setDefaultProjects

          void setDefaultProjects(int index,
                                  Project project)

      Set `project` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the project attribute
        `project` - the project attribute

    - #### removeDefaultProjectsAt

          java.lang.Object removeDefaultProjectsAt(java.lang.String hostname,
                                                   int index)

      Remove `project` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the project attribute
      Returns:
        the remove project attribute of `null` if the attribute has not been found

    - #### removeDefaultProjects

          boolean removeDefaultProjects(java.lang.String hostname,
                                        Project project)

      Remove `project` attribute from the default `hostname` (@/).
      Parameters:
        `project` - the project) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultProjects

          void removeAllDefaultProjects()

      Remove all project) attributes from the default `hostname` (@/).

    - #### removeAllProjects

          void removeAllProjects()

      Remove all project) attributes.

    - #### isSetProjects

          boolean isSetProjects()

      Determine if any projects attribute is set
      Returns:
        `true` if the projects attribute is set

    - #### getXprojects

          Project getXprojects(java.lang.String hostname,
                               int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getXprojectsCount

          int getXprojectsCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getXprojectsKeys

          java.util.Set<java.lang.String> getXprojectsKeys()

      Get a unmodifiable set of stored xprojects attribute keys.
      Returns:
        unmodifiable set of stored xprojects attribute keys

    - #### getDefaultXprojects

          Project getDefaultXprojects(int index)

      Get the default value of the attribute xprojects. (@/)

      Returns:
        the default value of the attribute xprojects
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultXprojectsCount

          int getDefaultXprojectsCount()

      Get the number of values for the default `hostname` (@/).

    - #### getXprojectsList

          java.util.List<java.lang.String> getXprojectsList(java.lang.String hostname)

      Get an unmodifiable list of xprojects attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of xprojects attributes

    - #### addXprojects

          void addXprojects(java.lang.String hostname,
                            Project project)

      Add `project` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `project` - the project attribute

    - #### addEmptyXprojects

          void addEmptyXprojects(java.lang.String hostname)

      Initialize `project` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setXprojects

          void setXprojects(java.lang.String hostname,
                            int index,
                            Project project)

      Set `project` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the project attribute
        `project` - the project attribute

    - #### removeXprojectsAt

          java.lang.Object removeXprojectsAt(java.lang.String hostname,
                                             int index)

      Remove `project` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the project attribute
      Returns:
        the remove project attribute of `null` if the attribute has not been found

    - #### removeXprojects

          boolean removeXprojects(java.lang.String hostname,
                                  Project project)

      Remove `project` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `project` - the project) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllXprojects

          void removeAllXprojects(java.lang.String hostname)

      Remove all `project` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultXprojects

          void addDefaultXprojects(Project project)

      Add `project` attribute to the default `hostname` (@/).
      Parameters:
        `project` - the project attribute

    - #### setDefaultXprojects

          void setDefaultXprojects(int index,
                                   Project project)

      Set `project` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the project attribute
        `project` - the project attribute

    - #### removeDefaultXprojectsAt

          java.lang.Object removeDefaultXprojectsAt(java.lang.String hostname,
                                                    int index)

      Remove `project` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the project attribute
      Returns:
        the remove project attribute of `null` if the attribute has not been found

    - #### removeDefaultXprojects

          boolean removeDefaultXprojects(java.lang.String hostname,
                                         Project project)

      Remove `project` attribute from the default `hostname` (@/).
      Parameters:
        `project` - the project) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultXprojects

          void removeAllDefaultXprojects()

      Remove all project) attributes from the default `hostname` (@/).

    - #### removeAllXprojects

          void removeAllXprojects()

      Remove all project) attributes.

    - #### isSetXprojects

          boolean isSetXprojects()

      Determine if any xprojects attribute is set
      Returns:
        `true` if the xprojects attribute is set

    - #### getLoadThresholds

          ComplexEntry getLoadThresholds(java.lang.String hostname,
                                         int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getLoadThresholdsCount

          int getLoadThresholdsCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getLoadThresholdsKeys

          java.util.Set<java.lang.String> getLoadThresholdsKeys()

      Get a unmodifiable set of stored loadThresholds attribute keys.
      Returns:
        unmodifiable set of stored loadThresholds attribute keys

    - #### getDefaultLoadThresholds

          ComplexEntry getDefaultLoadThresholds(int index)

      Get the default value of the attribute loadThresholds. (@/)

      Returns:
        the default value of the attribute loadThresholds
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultLoadThresholdsCount

          int getDefaultLoadThresholdsCount()

      Get the number of values for the default `hostname` (@/).

    - #### getLoadThresholdsList

          java.util.List<java.lang.String> getLoadThresholdsList(java.lang.String hostname)

      Get an unmodifiable list of loadThresholds attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of loadThresholds attributes

    - #### addLoadThresholds

          void addLoadThresholds(java.lang.String hostname,
                                 ComplexEntry loadThreshold)

      Add `loadThreshold` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `loadThreshold` - the loadThreshold attribute

    - #### addEmptyLoadThresholds

          void addEmptyLoadThresholds(java.lang.String hostname)

      Initialize `loadThreshold` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setLoadThresholds

          void setLoadThresholds(java.lang.String hostname,
                                 int index,
                                 ComplexEntry loadThreshold)

      Set `loadThreshold` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the loadThreshold attribute
        `loadThreshold` - the loadThreshold attribute

    - #### removeLoadThresholdsAt

          java.lang.Object removeLoadThresholdsAt(java.lang.String hostname,
                                                  int index)

      Remove `loadThreshold` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the loadThreshold attribute
      Returns:
        the remove loadThreshold attribute of `null` if the attribute has not been found

    - #### removeLoadThresholds

          boolean removeLoadThresholds(java.lang.String hostname,
                                       ComplexEntry loadThreshold)

      Remove `loadThreshold` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `loadThreshold` - the loadThreshold) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllLoadThresholds

          void removeAllLoadThresholds(java.lang.String hostname)

      Remove all `loadThreshold` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultLoadThresholds

          void addDefaultLoadThresholds(ComplexEntry loadThreshold)

      Add `loadThreshold` attribute to the default `hostname` (@/).
      Parameters:
        `loadThreshold` - the loadThreshold attribute

    - #### setDefaultLoadThresholds

          void setDefaultLoadThresholds(int index,
                                        ComplexEntry loadThreshold)

      Set `loadThreshold` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the loadThreshold attribute
        `loadThreshold` - the loadThreshold attribute

    - #### removeDefaultLoadThresholdsAt

          java.lang.Object removeDefaultLoadThresholdsAt(java.lang.String hostname,
                                                         int index)

      Remove `loadThreshold` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the loadThreshold attribute
      Returns:
        the remove loadThreshold attribute of `null` if the attribute has not been found

    - #### removeDefaultLoadThresholds

          boolean removeDefaultLoadThresholds(java.lang.String hostname,
                                              ComplexEntry loadThreshold)

      Remove `loadThreshold` attribute from the default `hostname` (@/).
      Parameters:
        `loadThreshold` - the loadThreshold) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultLoadThresholds

          void removeAllDefaultLoadThresholds()

      Remove all loadThreshold) attributes from the default `hostname` (@/).

    - #### removeAllLoadThresholds

          void removeAllLoadThresholds()

      Remove all loadThreshold) attributes.

    - #### isSetLoadThresholds

          boolean isSetLoadThresholds()

      Determine if any loadThresholds attribute is set
      Returns:
        `true` if the loadThresholds attribute is set

    - #### getSuspendThresholds

          ComplexEntry getSuspendThresholds(java.lang.String hostname,
                                            int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getSuspendThresholdsCount

          int getSuspendThresholdsCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getSuspendThresholdsKeys

          java.util.Set<java.lang.String> getSuspendThresholdsKeys()

      Get a unmodifiable set of stored suspendThresholds attribute keys.
      Returns:
        unmodifiable set of stored suspendThresholds attribute keys

    - #### getDefaultSuspendThresholds

          ComplexEntry getDefaultSuspendThresholds(int index)

      Get the default value of the attribute suspendThresholds. (@/)

      Returns:
        the default value of the attribute suspendThresholds
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultSuspendThresholdsCount

          int getDefaultSuspendThresholdsCount()

      Get the number of values for the default `hostname` (@/).

    - #### getSuspendThresholdsList

          java.util.List<java.lang.String> getSuspendThresholdsList(java.lang.String hostname)

      Get an unmodifiable list of suspendThresholds attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of suspendThresholds attributes

    - #### addSuspendThresholds

          void addSuspendThresholds(java.lang.String hostname,
                                    ComplexEntry suspendThreshold)

      Add `suspendThreshold` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `suspendThreshold` - the suspendThreshold attribute

    - #### addEmptySuspendThresholds

          void addEmptySuspendThresholds(java.lang.String hostname)

      Initialize `suspendThreshold` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setSuspendThresholds

          void setSuspendThresholds(java.lang.String hostname,
                                    int index,
                                    ComplexEntry suspendThreshold)

      Set `suspendThreshold` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the suspendThreshold attribute
        `suspendThreshold` - the suspendThreshold attribute

    - #### removeSuspendThresholdsAt

          java.lang.Object removeSuspendThresholdsAt(java.lang.String hostname,
                                                     int index)

      Remove `suspendThreshold` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the suspendThreshold attribute
      Returns:
        the remove suspendThreshold attribute of `null` if the attribute has not been found

    - #### removeSuspendThresholds

          boolean removeSuspendThresholds(java.lang.String hostname,
                                          ComplexEntry suspendThreshold)

      Remove `suspendThreshold` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `suspendThreshold` - the suspendThreshold) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllSuspendThresholds

          void removeAllSuspendThresholds(java.lang.String hostname)

      Remove all `suspendThreshold` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultSuspendThresholds

          void addDefaultSuspendThresholds(ComplexEntry suspendThreshold)

      Add `suspendThreshold` attribute to the default `hostname` (@/).
      Parameters:
        `suspendThreshold` - the suspendThreshold attribute

    - #### setDefaultSuspendThresholds

          void setDefaultSuspendThresholds(int index,
                                           ComplexEntry suspendThreshold)

      Set `suspendThreshold` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the suspendThreshold attribute
        `suspendThreshold` - the suspendThreshold attribute

    - #### removeDefaultSuspendThresholdsAt

          java.lang.Object removeDefaultSuspendThresholdsAt(java.lang.String hostname,
                                                            int index)

      Remove `suspendThreshold` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the suspendThreshold attribute
      Returns:
        the remove suspendThreshold attribute of `null` if the attribute has not been found

    - #### removeDefaultSuspendThresholds

          boolean removeDefaultSuspendThresholds(java.lang.String hostname,
                                                 ComplexEntry suspendThreshold)

      Remove `suspendThreshold` attribute from the default `hostname` (@/).
      Parameters:
        `suspendThreshold` - the suspendThreshold) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultSuspendThresholds

          void removeAllDefaultSuspendThresholds()

      Remove all suspendThreshold) attributes from the default `hostname` (@/).

    - #### removeAllSuspendThresholds

          void removeAllSuspendThresholds()

      Remove all suspendThreshold) attributes.

    - #### isSetSuspendThresholds

          boolean isSetSuspendThresholds()

      Determine if any suspendThresholds attribute is set
      Returns:
        `true` if the suspendThresholds attribute is set

    - #### getConsumableConfig

          ComplexEntry getConsumableConfig(java.lang.String hostname,
                                           int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getConsumableConfigCount

          int getConsumableConfigCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getConsumableConfigKeys

          java.util.Set<java.lang.String> getConsumableConfigKeys()

      Get a unmodifiable set of stored consumableConfig attribute keys.
      Returns:
        unmodifiable set of stored consumableConfig attribute keys

    - #### getDefaultConsumableConfig

          ComplexEntry getDefaultConsumableConfig(int index)

      Get the default value of the attribute consumableConfig. (@/)

      Returns:
        the default value of the attribute consumableConfig
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultConsumableConfigCount

          int getDefaultConsumableConfigCount()

      Get the number of values for the default `hostname` (@/).

    - #### getConsumableConfigList

          java.util.List<java.lang.String> getConsumableConfigList(java.lang.String hostname)

      Get an unmodifiable list of consumableConfig attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of consumableConfig attributes

    - #### addConsumableConfig

          void addConsumableConfig(java.lang.String hostname,
                                   ComplexEntry consumable)

      Add `consumable` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `consumable` - the consumable attribute

    - #### addEmptyConsumableConfig

          void addEmptyConsumableConfig(java.lang.String hostname)

      Initialize `consumable` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setConsumableConfig

          void setConsumableConfig(java.lang.String hostname,
                                   int index,
                                   ComplexEntry consumable)

      Set `consumable` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the consumable attribute
        `consumable` - the consumable attribute

    - #### removeConsumableConfigAt

          java.lang.Object removeConsumableConfigAt(java.lang.String hostname,
                                                    int index)

      Remove `consumable` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the consumable attribute
      Returns:
        the remove consumable attribute of `null` if the attribute has not been found

    - #### removeConsumableConfig

          boolean removeConsumableConfig(java.lang.String hostname,
                                         ComplexEntry consumable)

      Remove `consumable` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `consumable` - the consumable) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllConsumableConfig

          void removeAllConsumableConfig(java.lang.String hostname)

      Remove all `consumable` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultConsumableConfig

          void addDefaultConsumableConfig(ComplexEntry consumable)

      Add `consumable` attribute to the default `hostname` (@/).
      Parameters:
        `consumable` - the consumable attribute

    - #### setDefaultConsumableConfig

          void setDefaultConsumableConfig(int index,
                                          ComplexEntry consumable)

      Set `consumable` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the consumable attribute
        `consumable` - the consumable attribute

    - #### removeDefaultConsumableConfigAt

          java.lang.Object removeDefaultConsumableConfigAt(java.lang.String hostname,
                                                           int index)

      Remove `consumable` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the consumable attribute
      Returns:
        the remove consumable attribute of `null` if the attribute has not been found

    - #### removeDefaultConsumableConfig

          boolean removeDefaultConsumableConfig(java.lang.String hostname,
                                                ComplexEntry consumable)

      Remove `consumable` attribute from the default `hostname` (@/).
      Parameters:
        `consumable` - the consumable) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultConsumableConfig

          void removeAllDefaultConsumableConfig()

      Remove all consumable) attributes from the default `hostname` (@/).

    - #### removeAllConsumableConfig

          void removeAllConsumableConfig()

      Remove all consumable) attributes.

    - #### isSetConsumableConfig

          boolean isSetConsumableConfig()

      Determine if any consumableConfig attribute is set
      Returns:
        `true` if the consumableConfig attribute is set

    - #### getSubordinate

          Subordinate getSubordinate(java.lang.String hostname,
                                     int index)

      Get the value of `hostname` at `index`.
      Parameters:
        `hostname` - the hostname
        `index` - the index

    - #### getSubordinateCount

          int getSubordinateCount(java.lang.String hostname)

      Get the number of values for `hostname`
      Parameters:
        `hostname` - the hostname

    - #### getSubordinateKeys

          java.util.Set<java.lang.String> getSubordinateKeys()

      Get a unmodifiable set of stored subordinate attribute keys.
      Returns:
        unmodifiable set of stored subordinate attribute keys

    - #### getDefaultSubordinate

          Subordinate getDefaultSubordinate(int index)

      Get the default value of the attribute subordinate. (@/)

      Returns:
        the default value of the attribute subordinate
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getDefaultSubordinateCount

          int getDefaultSubordinateCount()

      Get the number of values for the default `hostname` (@/).

    - #### getSubordinateList

          java.util.List<java.lang.String> getSubordinateList(java.lang.String hostname)

      Get an unmodifiable list of subordinate attributes for `hostname`.
      Parameters:
        `hostname` - the hostname
      Returns:
        unmodifiable list of subordinate attributes

    - #### addSubordinate

          void addSubordinate(java.lang.String hostname,
                              Subordinate subordinate)

      Add `subordinate` attribute to `hostname`.
      Parameters:
        `hostname` - the hostname
        `subordinate` - the subordinate attribute

    - #### addEmptySubordinate

          void addEmptySubordinate(java.lang.String hostname)

      Initialize `subordinate` attribute for a `hostname` with an empty list.
      Parameters:
        `hostname` - the hostname

    - #### setSubordinate

          void setSubordinate(java.lang.String hostname,
                              int index,
                              Subordinate subordinate)

      Set `subordinate` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - index of the subordinate attribute
        `subordinate` - the subordinate attribute

    - #### removeSubordinateAt

          java.lang.Object removeSubordinateAt(java.lang.String hostname,
                                               int index)

      Remove `subordinate` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `index` - the index of the subordinate attribute
      Returns:
        the remove subordinate attribute of `null` if the attribute has not been found

    - #### removeSubordinate

          boolean removeSubordinate(java.lang.String hostname,
                                    Subordinate subordinate)

      Remove `subordinate` attribute for `hostname`.
      Parameters:
        `hostname` - the hostname
        `subordinate` - the subordinate) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllSubordinate

          void removeAllSubordinate(java.lang.String hostname)

      Remove all `subordinate` attributes for `hostname`.
      Parameters:
        `hostname` - the hostname

    - #### addDefaultSubordinate

          void addDefaultSubordinate(Subordinate subordinate)

      Add `subordinate` attribute to the default `hostname` (@/).
      Parameters:
        `subordinate` - the subordinate attribute

    - #### setDefaultSubordinate

          void setDefaultSubordinate(int index,
                                     Subordinate subordinate)

      Set `subordinate` attribute for the default `hostname` (@/).
      Parameters:
        `index` - index of the subordinate attribute
        `subordinate` - the subordinate attribute

    - #### removeDefaultSubordinateAt

          java.lang.Object removeDefaultSubordinateAt(java.lang.String hostname,
                                                      int index)

      Remove `subordinate` attribute for the default `hostname` (@/).
      Parameters:
        `hostname` - the hostname
        `index` - the index of the subordinate attribute
      Returns:
        the remove subordinate attribute of `null` if the attribute has not been found

    - #### removeDefaultSubordinate

          boolean removeDefaultSubordinate(java.lang.String hostname,
                                           Subordinate subordinate)

      Remove `subordinate` attribute from the default `hostname` (@/).
      Parameters:
        `subordinate` - the subordinate) attribute
      Returns:
        `true` if the attribute has been removed

    - #### removeAllDefaultSubordinate

          void removeAllDefaultSubordinate()

      Remove all subordinate) attributes from the default `hostname` (@/).

    - #### removeAllSubordinate

          void removeAllSubordinate()

      Remove all subordinate) attributes.

    - #### isSetSubordinate

          boolean isSetSubordinate()

      Determine if any subordinate attribute is set
      Returns:
        `true` if the subordinate attribute is set

    - #### getDefaultQtype

          int getDefaultQtype()

      Get the default value of the attribute qtype.

      Returns:
        the default value of the attribute qtype
      Throws:
        `java.lang.IllegalStateException` - if the default value is not set

    - #### getQtype

          int getQtype(java.lang.String hostname)

      Get the qtype attribute for `hostname`.

      Parameters:
        `hostname` - the hostname
      Returns:
        the qtype attribute for `hostname` or the default value of qtype

    - #### getQtypeKeys

          java.util.Set<java.lang.String> getQtypeKeys()

      Get the set of `hostname`s which have the attribute qtype set.
      Returns:
        set of `hostname`s

    - #### getQtypeCount

          int getQtypeCount()

      Get the number of hostnames which have the attribute qtype set.
      Returns:
        the number of hostnames which have the attribute qtype set.

    - #### isSetQtype

          boolean isSetQtype(java.lang.String hostname)

      Determine if any qtype attribute is for `hostname` is set
      Parameters:
        `hostname` - the hostname
      Returns:
        `true` if the qtype attribute is set

    - #### putQtype

          void putQtype(java.lang.String hostname,
                        int qType)

      Put the attribute qtype for `hostname`.

      Parameters:
        `hostname` - the hostname
        `qType` - the qType

    - #### setDefaultQtype

          void setDefaultQtype(int qType)

      Set `qType` attribute for the default `hostname` (@/).
      Parameters:
        `qType` - the qType attribute

    - #### removeQtype

          java.lang.Integer removeQtype(java.lang.String hostname)

      remove the attribute qtype for `hostname`.

      Parameters:
        `hostname` - The hostname
      Returns:
        the value of the attribute for `hostname` or `null` if the attribute was not defined for `hostname`.

    - #### removeAllQtype

          void removeAllQtype()

      Remove the attribute qtype for all hostnames.

    - #### isSetQtype

          boolean isSetQtype()

      Determine if any qtype attribute is set
      Returns:
        `true` if the qtype attribute is set

    - #### setTag

          void setTag(int aTag)

      Set the tag attribute.
      Parameters:
        `aTag` - the new value for the tag attribute

    - #### getTag

          int getTag()

      Get the value of the tag attribute.
      Returns:
        the value of the tag attribute

    - #### isSetTag

          boolean isSetTag()

      Determine if any tag attribute is set
      Returns:
        `true` if the tag attribute is set

    - #### dump

          java.lang.String dump()

Copyright © 2007 Sun Microsystems, Inc. All rights reserved.